<CsoundSynthesizer>

<CsOptions>

-odac -g -m0

</CsOptions>

<CsInstruments>
;Written by Russell Pinkston, 2015

	sr	=	44100
	ksmps	=	64
	nchnls	=	2
	0dbfs	=	1

#include "GMDrums.txt"		;some general MIDI drum sounds

#define	THRESH	#.01#	;threshold for receiving server timeq responses
#define	TIMEQHZ	#4#	;timeq request frequency
#define	MAXUSERS	#12#	;maximum number of users

giInportS	=	50000	;Server's receive port
giOutportS	=	50001	;Port server will send to
giInport	=	50001	;Client's receive port
giOutport	=	50000	;Client's output port
giAltport	=	50002	;Alternate port (used for receiving tables)

gioscC	OSCinit	giInport	;initialize OSClisten for this port (for client)
gioscS	OSCinit	giInportS	;initialize Server's inport
gioscA	OSCinit	giAltport	;initialize Alternate inport	
	
giTPQ	ftgen	0,0,8,-2,1,2,3,4,6,8,12 ;Table of Ticks per Quantization (subdivision)
gisine	ftgen	0,0,8192,10,1
gipfn   	ftgen	0, 0, 2048, -2, 0	;snapshot table
gipfn1   	ftgen	0, 0, 2048, -2, 0	;alt snapshot table
giMyFn	ftgen	13,0,128,-2,0	;empty function 13 to receive tables

gkGUIHz	init	10	;Initialize GUI update rate
gkusers	init 	0	;Initialize count of users

gSUsers[]	init	$MAXUSERS	;Array of user names
gSIPs[]	init	$MAXUSERS	;Array of user IP addresses
gSUsers[0]	strcpy	""	;Initialize the first locations with a null string
gSIPs[0]	strcpy	""

		
;Define some UDOs
;--------------------------------------------------------------------------------
	opcode	finduser,k,Sk	;finds a user's number in the user group
	Sname,kNUsers	xin
kindex	=	0
loop:
kres 	strcmpk	gSUsers[kindex],Sname
	if	(kres == 0) goto	end
	loop_lt	kindex,1,kNUsers,loop	
kindex	=	-1	;not found
end:			
	xout	kindex
	endop	;RFP		
;--------------------------------------------------------------------------------
opcode	adduser,k,SSi	;adds a new user to the user group
	Sname,SIP,imaxusers	xin
	if	(gkusers == imaxusers) then
kindex	=	-1	;error: too many users
	kgoto	end
	endif	
	if	(gkusers != 0) then
kuser	finduser	Sname,gkusers
	if	(kuser >= 0) then
kindex	=	-2	;error: user has already joined
	kgoto	end
	endif	;end user test if
	endif	;end finduser if
;user has not already joined, so add		
gSUsers[gkusers]	strcpyk 	Sname
gSIPs[gkusers]	strcpyk 	SIP
gkusers	=	gkusers+1	;update the current number of users
kindex	=	0	;return no error
end:
	xout	kindex
	endop	;RFP
		
;----------------------------------------------------------------------------	
	instr	1	;Client - Runs all the time, updates GUI widgets, runs chat client
		
gkSCtrl	init	1	;Initialize Server Control Variable to 1 (allow)
	
	kgoto skip	;initializes widgets at i-time, then skips during k-time	
	outvalue	"Tempo",100	
	outvalue	"delay",0	
	outvalue	"Meter",3		
	outvalue	"incoming",""	
	outvalue	"timing",""
	outvalue	"Clock",0
	outvalue	"SyncBlip",0
	outvalue	"SyncPitch",72
	outvalue	"SyncLevel",.5
	outvalue	"RunServer",0
	outvalue	"ClockSync",0
	outvalue	"ServerSync",0
	outvalue	"ServerControl",1	
skip:
gksnap	init	0	;initialize snapshot number    
kcnt	init	0	;user list counter
gkMeter	init	4	;default meter
gkNewMtr	init	0	;new meter when user changes
kn	init	0	;init table receive variables
kfn	init	0
kv0	init	0
kv1	init	0
kv2	init	0
kv3	init	0
kv4	init	0
kv5	init	0
kv6	init	0
kv7	init	0
	tb1_init	giMyFn	

	
;initialize input string variables
Sname	strcpy	""
Smsg	strcpy	""
Sline1	strcpy	""
Sline2	strcpy	""
Sline3	strcpy	""
Sline4	strcpy	""
Suser	strcpy	""
SuserIP	strcpy	""
Ssender	strcpy	""
Stemp	strcpy	"                                                          "

;Listen for incoming chat messages
ktrg1	OSClisten	gioscC, "/chatreceive", "ss", Sname, Smsg
	if (ktrg1 == 1) then
Sname	strcatk	Sname,": "	;add a colon and space after the author's name	
Sline1	strcatk	Sname,Smsg	;then append the message

;Update the chatwindow
	outvalue	"chatline3",Sline3	;oldest message
	outvalue	"chatline2",Sline2	;previous message
	outvalue	"chatline1",Sline1	;current message
Sline3	strcpyk	Sline2	;move the lines down now, in
Sline2	strcpyk	Sline1	;preparation for the next message
	endif	;end chat receive if
	
;Listen for confirmation message from server
ktrg2	OSClisten	gioscC, "/join/confirm", "ss", Ssender,Sline4	
	if (ktrg2 == 1) then
	outvalue	"incoming",Sline4
	endif	;end join confirm if

;Listen for the list of users from server	
ktrg3	OSClisten	gioscC, "/userlist", "ss", Suser,SuserIP
	if	(ktrg3 == 1) then
	outvalue	"incoming","Printing user list to console..."
kcnt	=	kcnt+1
Suser	strcatk	Suser," "
Suser	strcatk	Suser,SuserIP
	puts	Suser,kcnt
	endif	;end userlist if	

ktrig	metro	gkGUIHz
	if	(ktrig == 1) then	
kclear	invalue	"Clear"
	endif
ktrigC	changed	kclear

	if	(ktrigC == 1) then	;clear the chat history
Sline3	strcpyk	""
Sline2	strcpyk	""
Sline1	strcpyk	""
	outvalue	"chatline3",Sline3
	outvalue	"chatline2",Sline2
	outvalue	"chatline1",Sline1
	endif	;end chat clear if

;Listen for incoming table data (usually in response to a request for a table)
;Incoming messages have function #, starting location, and 8 data values	
ktrigT	OSClisten	gioscA, "/filltab","iiffffffff",kfn,kn,kv0,kv1,kv2,kv3,kv4,kv5,kv6,kv7

	if	(ktrigT == 1 && kfn == giMyFn) then

	tablew	kv0,kn,giMyFn
	tablew	kv1,kn+1,giMyFn
	tablew	kv2,kn+2,giMyFn
	tablew	kv3,kn+3,giMyFn
	tablew	kv4,kn+4,giMyFn
	tablew	kv5,kn+5,giMyFn
	tablew	kv6,kn+6,giMyFn
	tablew	kv7,kn+7,giMyFn	
	printks	"At %d in func %d, wrote %d %d %d %d...\n",0,kn,giMyFn,tb1(kn),tb1(kn+1),tb1(kn+2),tb1(kn+3)
	endif	;end filltab if

;Listen for snapshot change messages from the server
kGoTime	init	0	;bar number to schedule event on
kSnapNo	init	0	;snapshot number 
kGoType	init	0	;absolute or relative bar	
	
ktrigS	OSClisten	gioscC, "/schedule", "iii",kGoTime,kSnapNo,kGoType
	if	(ktrigS == 1 && gkSCtrl == 1) then
	igoto	skipover
	if	(kGoType == 0) then		
Stemp	sprintfk	"Server scheduled change to snapshot %i in %i bars",kSnapNo+1,kGoTime
	else
Stemp	sprintfk	"Server scheduled change to snapshot %i at bar %i",kSnapNo+1,kGoTime
	endif	;end snapshot schedule type if
skipover:		
	outvalue	"incoming",Stemp	
	schedkwhen	ktrigS,0,0,	98,0,1000,kGoTime,kSnapNo,kGoType	;schedule the change
	endif	;end event schedule if	
	endin

;============================================	

	instr 	2	;Client GUI input handler
kupdate	init	0	;OSC update flag
gkNewBar	init	1	;init the new bar flag to 1 at start of execution
gkSchedule	init	0	;init the scheduled flag to 0
Schat	strcpy	""	;clear the chat line string	
ktrig	metro	gkGUIHz	;regularly check the gui widgets
	if	(ktrig == 1) then	
Schat	invalue	"mychat"
ksend	invalue	"Send"
kjoin	invalue	"Join"
kusers	invalue	"Users"
kbeatq	invalue	"BeatQ"
gkSync	invalue	"ServerSync"
ktrig	changed	gkSync
	if	(ktrig == 1 && gkSync == 1) then
kBeatQ	=	1	;triggers a /beatq this k
	else
kBeatQ	=	0
	endif		
gkSCtrl	invalue	"ServerControl"
kServer	active	99	;See if the server instrument (99) is active
	if	(kServer > 0) then
gkSync	=	0	;disallow Sync to Server if we ARE the server	
	outvalue	"ServerSync",0
	endif
gkGUIHz	invalue	"GUIUpdateRate"
gkdelay	invalue	"delay"	;check for optional delay compensation	
gkTempo	invalue	"Tempo"
kMeter	invalue	"Meter"
kTrigM	changed	kMeter
	if	(gkSchedule == 0) then	;if this wasn't a scheduled snapshot change
	if	(kTrigM == 1 && gkNewBar != 1) then	; and if meter changed mid-bar...
gkNewMtr	=	kMeter	;save this so we change at next barline
	elseif	(gkNewMtr == 0) then	;change it now
gkMeter	=	kMeter+1		
	endif	;end new meter if
	else	;meter was changed by a scheduled snapshot change
gkSchedule	=	0	;reset the flag
	endif	;end Scheduled meter change if		
	endif	;end metro if
	
ktrigJ	trigger 	kjoin, .5, 0		;if we're joining the group
	if	(ktrigJ == 1) then	
gSserverIP	invalue	"serverIP"
gSlocalIP	invalue	"localIP"
gSname	invalue	"myName"	
Sjoin	strcatk	gSname," "
Sjoin	strcatk	Sjoin,gSlocalIP
;changing the update flag causes OSCsend to transmit
kupdate	=	kupdate + 1
	OSCsend	kupdate,gSserverIP,giOutport, "/join/user", "ss", gSname, gSlocalIP;Sjoin
	endif
	
ktrigS	trigger	ksend, .5, 0		;if we're sending a chat message
	if	(ktrigS == 1) then
Ssend	strcatk	gSname," "
Ssend	strcatk	Ssend,Schat
	outvalue	"mychat"," "
kupdate	=	kupdate + 1
	OSCsend 	kupdate,gSserverIP,giOutport, "/chatsend", "ss", gSname, Schat ;Ssend
	endif
						
ktrigU	trigger	kusers, .5, 0		;if we're requesting the user list
	if	(ktrigU == 1) then
kupdate	=	kupdate + 1
	puts	"Users:",kupdate
	OSCsend	kupdate,gSserverIP,giOutport, "/getusers", "s", gSname ;Susers
	endif
	
ktrigQ	trigger	kbeatq, .5, 0		;if we're sending a beat query to the server
	if	(ktrigQ == 1 || kBeatQ == 1) then
kupdate	=	kupdate + 1
	OSCsend	kupdate,gSserverIP,giOutport, "/beatq", "s", gSname ;Susers
	endif		
	endin

;============================================

	instr 3	;Clock and Beat Counter Instrument	
gkBeat	init	0	;Current beat
gkBar	init	0	;Current bar
gkBarBeat	init	0	;Beat number at previous downbeat
gkOffset	init	0	;Beat number at last meter or tempo change
gkOldbar	init	0	;Bar number at that change
gkOldbeat	init	0	;Beat number of that bar's downbeat
gkBase	init	0	;Time at last Server Bar Reset
;--------------------------------------;
ktimeL 	timeinsts		;local time in seconds, updated at k-rate
;--------------------------------------;	
	if	(gkSync == 0) then	
gktimeA	=	ktimeL	;we're running locally with no server
;--------------------------------------;
	else	;we're in server sync mode (GUI widget is checked)
;Listen for /timeq/response messages	
ktimeS	init	0	;init result variables for /timeq/response
ktimeQ	init	0			
ktrg2	OSClisten	gioscC, "/timeq/response", "ff", ktimeS, ktimeQ
	if	(ktrg2 == 1) then	
kdiff	=	ktimeL - ktimeQ	;round trip query time
	if	(kdiff < $THRESH) then	;if less than threshold	
ktimeS	=	ktimeS + kdiff/2	;assume Server time is now 1/2 diff later
koffset	=	ktimeS - ktimeL	;offset is the difference from local time
	endif	;end check threshold if	
	endif	;end OSClisten if
;--------------------------------------;		
gktimeA	portk	ktimeL+koffset,.05	;calculate adjusted time, smooth any changes
;--------------------------------------;	
ktrigQ	metro	$TIMEQHZ	;send /timeq messages to server TIMEQHZ times/second
	if	(ktrigQ == 1) then		
	OSCsend 	ktimeL,gSserverIP,giOutport, "/timeq", "sfs", gSname, ktimeL, gSlocalIP 	
	endif	;end metro if	
;--------------------------------------;	
;Listen for /beatq/response messages
;			;init variables returned by a /beatq/response
kStempo	init	i(gkTempo)	;Server's tempo (init to current GUI value)	
kSmeter	init	i(gkMeter)	;Server's meter (init to current GUI value)
kbeatN	init	0	;Server's current beat (total)
ktimeN	init	0	;Server time at current beat
kSoffset	init	0	;Server's offset (beat at which last meter or tempo change occurred)
kSbase	init	0	;Server's Time the above occurred
kSoldbar	init	0	;Server's bar number at last meter change
kSoldbeat	init	0	;Server's beat number of that bar's downbeat
kwait	init	0
krflag	init	0	;reset flag (set by beat query response code below)
ktrg	OSClisten	gioscC, "/beatq/response", "iffiifii", kbeatN, ktimeN,\
		kStempo,kSmeter,kSoffset,kSbase,kSoldbar,kSoldbeat
	if	(ktrg == 1) then	
kbeatDur	=	60./kStempo		
kcurBeat	=	kbeatN+(gktimeA-ktimeN)/kbeatDur	;current fractional beat
kwait	=	(1 - (kcurBeat - int(kcurBeat))) * kbeatDur	;time until next beat
krflag	=	1	;turn on the reset flag
	reinit	start	;reinit the timout to wait until next beat
	endif		;end OSClisten ktrg if
	if (krflag == 0) goto skipover ;skip timout except when reset flag is set	
start:	timout	0,i(kwait),skipover	;wait until next beat boundary
	rireturn	
;				;after timout completed, update everything
	outvalue	"Tempo",kStempo	;display/change to server's current tempo	
gkMeter	=	kSmeter		;change to server's current meter	
kMeter	init	i(gkMeter)-1	;workaround for outvalue at i-time issue 	
kMeter	=	gkMeter-1
	outvalue	"Meter",kMeter	;display current meter	
gkOffset	=	kSoffset		;reset everything else to match server
gkBase	=	kSbase		
gkOldbar	=	kSoldbar
gkOldbeat	=	kSoldbeat	
krflag	=	0		;clear the reset flag	
skipover:				;timout branch target	    
	endif	;end Server Sync Mode if 
;---------------------------------------------------;
;Update tempo variables	
gkNewBar	=	0		;reset the NewBar flag (used for meter changes)	 
kbpm	invalue	"Tempo"		;update the tempo
ktempo	=	kbpm/60		;compute tempo factor (beats/sec)
ktrigT	changed	ktempo
	if	(ktrigT == 1) then	;if tempo has changed...
gkOffset	=	gkBeat		;Remember the beat
gkBase	=	gktimeA		;Remember the time
gkOldbar	=	gkBar  		;Remember the bar
gkOldbeat	=	gkBarBeat		;Remember that bar's downbeat
	endif	
;---------------------------------------------------;	
;Count beats based on the current time and tempo (in beats per second)	  	
gkBeat	=	gkOffset + int((gktimeA - gkBase) * ktempo)
kBeatTrig	changed	gkBeat
	if	(kBeatTrig == 1) then	;we have a new beat	
gkBar	=	gkOldbar+int((gkBeat-gkOldbeat) / gkMeter)	;recalc bar number	
kBarTrig	changed	gkBar
	if	(kBarTrig == 1) then	;we have a new bar		
gkNewBar	=	1		;set the flag
gkBarBeat	=	gkBeat		;remember this beat
gkBarTime	=	gktimeA		;remember this time
	if	(gkNewMtr > 0) then	;If the meter has changed...
gkOffset	=	gkBeat 		;Remember the beat
gkBase	=	gktimeA		;Remember the time
gkOldbar	=	gkBar 		;Remember the bar number	
gkOldbeat	=	gkBarBeat		;Remember that bar's downbeat
gkMeter	=	gkNewMtr+1		;Change to the new meter now
gkNewMtr	=	0		;Clear the new meter flag
	endif	;end New meter check if	
	endif	;end Bar check if			
	endif	;end Beat check if
;For debugging
/*
kupdate	init	1
kupdate	=	kupdate + 1
Sdebug	sprintfk	"Meter %i, ATime %f, Base %f, Beats: %i, Bar: %i, Off: %i, Oldbar: %i, Oldbeat: %i, ktempo  %f",gkMeter,gktimeA,gkBase,gkBeat,gkBar,gkOffset,gkOldbar,gkOldbeat,ktempo
	puts	Sdebug,kupdate
*/		
;Update the position and elapsed time displays in the GUI	
Stemp	sprintfk	"%i:%i",gkBar+1,((gkBeat-gkOldbeat)%gkMeter)+1
	outvalue	"Position",Stemp					
	endin 

;===========================================

	instr	4	;Instruments GUI manager	
gkupdate	init	0

	kgoto	skip	;execute these at i-time, then skip		
	outvalue	"Drummer",0			
	outvalue	"Plucker",0	
	outvalue	"PluckVol",.5
	outvalue	"PluckSubdivision",3
	outvalue	"DrumVol",.5
	outvalue	"HarmMod",9	
skip:		
ktrig	metro	gkGUIHz
	if	(ktrig == 1) then	;regularly check GUI widgets
;Pluck instrument controls---------------
kPluckVol	invalue	"PluckVol"
gkHarmMod	invalue	"HarmMod"
gkWrap	invalue	"WrapFold"
gkPluckKey	invalue	"PluckKey"	
kPluckSub	invalue	"PluckSubdivision"
kPSTrig	changed	kPluckSub
	if	(kPSTrig == 1) then
kPTPerQ	table	kPluckSub,giTPQ
gkPluckDiv	=	1/kPTPerQ		;divisor for counting ticks	
	endif	;end Pluck Subdivision changed if
;check the Pluck Player button	
kPluckPlayer	invalue	"Plucker"
kPluckTrig	changed	kPluckPlayer
	if	(kPluckTrig == 1) then
	if	(kPluckPlayer == 1) then
	schedkwhen	kPluckTrig,0,0,5,0,-1
	else
	schedkwhen	kPluckTrig,0,0,-5,0,-1
	endif	
	endif	;end Pluck Player button changed if
;Drummer instrument controls------------
kDrumVol	invalue	"DrumVol"
gkCrshPrb	invalue	"CrashProb"
gkHHPrb	invalue	"HHProb"
gkSnarePrb	invalue	"SnareProb"
gkBDPrb	invalue	"BDProb"
kDrumSub	invalue	"DrumSubdivision"
kDSTrig	changed	kDrumSub
	if	(kDSTrig == 1) then
gkDTPerQ	table	kDrumSub,giTPQ
gkDrumDiv	=	1/gkDTPerQ		;divisor for counting ticks	
	endif	;end Drum Subdivision changed if		
;check the Drummer button	
kDrummer	invalue	"Drummer"
kDrumTrig	changed	kDrummer
	if	(kDrumTrig == 1) then
	if	(kDrummer == 1) then
	schedkwhen	kDrumTrig,0,0,6,0,-1
	else
	schedkwhen	kDrumTrig,0,0,-6,0,-1
	endif			
	endif	;end Drummer button changed if
;---------------------------------------					
	endif	;end metro trigger if
gkDrumVol	portk	kDrumVol,.25		;smooth volume changes from faders
gkPluckVol	portk	kPluckVol,.25
	endin
	
;============================================		

	instr	5	;Pluck Harmonics Player
;Count ticks (subdivisions) since the last downbeat			
kTick	=	int(((gktimeA - gkBarTime) * gkTempo/60.) / gkPluckDiv)
kTTrig	changed	kTick
	schedkwhen	kTTrig,0,0,10,gkdelay,.25,.5,kTick
	endin			

;============================================	
	
	instr	6	;Simple Drummer
;Count ticks (subdivisions) since the last downbeat			
kTick	=	int(((gktimeA - gkBarTime) * gkTempo/60.) / gkDrumDiv)
kTTrig	changed	kTick
	if	(kTTrig == 1) then	;we have a new tick
;calculate number of eighths in this meter with this subdivision	
	if	(gkDTPerQ == 3 || gkDTPerQ == 6 || gkDTPerQ == 12) then
kN8ths	=	gkMeter*3	;triplet 8ths
kDivisor	=	3	
	else
kN8ths	=	gkMeter*2	;straight 8ths
kDivisor	=	2
	endif			
	if	(kTick == 0) then	;this is a downbeat, try a crash
	schedkwhen kTTrig,0,0,12,gkdelay,99,17,.25,.5,gkCrshPrb	;Play crash cymbal
	endif
;everything else works with 8th notes
k8th	=	int(kTick/(gkDTPerQ/kDivisor))	;current 8th note in the measure
k8Trig	changed	k8th	
	if	(k8Trig == 1) then		;this is an 8th note
	if	(((k8th % kDivisor == 0) && (k8th != kN8ths - 2)) || (k8th == kN8ths-1)) then				
	schedkwhen kTTrig,0,0,12,gkdelay,99,10,.75,.5,gkBDPrb	;Play bass drum	
	endif
	if	(k8th % (kDivisor*2) == kDivisor) then	;Play snare on Beats 2, 4, etc.
	schedkwhen kTTrig,0,0,12,gkdelay,99,16,.65,.67,gkSnarePrb	;Play snare
	endif
kHiHat	=	(k8th == (kN8ths/2-1) ? 12 : 11)	;open hh on 3rd or 5th 8th, otherwise closed hh			
	schedkwhen kTTrig,0,0,12,gkdelay,.25,kHiHat,.4,.3,gkHHPrb	;Play HH on every 8th
	endif	;end 8th note trigger if
	endif	;end tick trigger if	
	endin		

;============================================		

	instr	10	;Pluck Harmonics slave instrument
iAmp	=	p4
iTick	=	p5		
	kgoto	skip	;Check widget value at i-time only
kCutoff	invalue	"PluckLPFCutoff"
skip:
kamp	linen	iAmp*gkPluckVol,.01,p3,.15
icps0	=	cpsmidinn(24+i(gkPluckKey))
	if	(i(gkWrap) == 0) then
;Wrap	
iMod	=	i(gkHarmMod)	
icps	=	icps0+icps0*wrap(iTick,0,iMod)
	else
;Fold	
iMod	=	i(gkHarmMod)-1	
icps	=	icps0+icps0*mirror(iTick,0,iMod)
	endif	
asig	pluck	kamp,icps,icps0*8,0,6
asig	butlp	asig,cpsoct(i(kCutoff))
	outs	asig,asig
	endin	
	
;============================================

	instr	12	;Slave probability drummer		
isnd	=	p4	;sound file number is a string constant
igain	=	p5
ipan	=	p6
iprob	=	p7
irand	unirand	100
	if	(irand >= iprob) goto rest
	if	(p3 == 99) then
p3	filelen	isnd
	endif
asig	soundin	isnd	
asig	=	asig * igain * gkDrumVol
al,ar	pan2	asig, ipan
	outs	al,ar
rest:	
	endin


;===========================================


	instr	98	;Event Scheduler 	
kNewMeter	init	i(gkMeter)-1	;have to do this to avoid changing meter right away
kSnapNo	init	i(gksnap)	
kTime	timeinstk		;number of k-passes since this instance was started
	if	(kTime == 1) then	;Do everything below on the first k only
	if	(p4 == 0) then ;this was called from our own GUI
kBar	invalue	"SchedBar"
kType	invalue	"SchedType"	
kSchedSnap	invalue	"ScheduleSnap"
	else		;called by instr 1 due to /schedule message from server
kBar	=	p4	;bar number for scheduled snapshot
kSchedSnap	=	1	;schedule a snapshot recall
kType	=	p6	;relative to current bar or absolute bar number
	endif	;end p4 (server scheduled) check if
;-----------		
	if	(kSchedSnap == 0) then	;not scheduling a snapshot change			
kMeter	invalue	"NewMeter"	;check the meter menu in the GUI
	if	(kMeter != (gkMeter-1)) then	
kChgMeter	=	1	;we're changing the meter
	else
kChgMeter	=	0	;we're not changing the meter
	endif	;end meter change if
			;we could schedule other changes here, as well...
	else	;we're scheduling a snapshot change
kSnap	invalue	"SnapNum"
kSnap	=	(p4 == 0 ? kSnap : p5)	;if p4 != 0, then p5 has the snapshot number
kSnapNo	=	kSnap	
	endif	;end sched snap if
;-----------	
	if	(kType == 0) then	;relative to the current bar
kSchedB	=	gkBar+int(kBar)
	elseif	(kType == 1) then	;absolute bar number
kSchedB	=	int(kBar)-1	
	endif	;end type check if
	endif	;end 1st k if
;-----------		
kBarT	changed	gkBar
	if	(kBarT == 1) then	;we have a new bar
	if	(kSchedB == gkBar) then	;if this is the scheduled bar, then execute
	if	(kSchedSnap == 0) then	;If we're not scheduling a snapshot change...	
	if	(kChgMeter == 1) then	;and we're changing the meter...
gkMeter	=	kMeter+1		;do it now
gkOffset	=	gkBeat ;+1 		;Remember the beats already counted at this point
gkOldbar	=	gkBar ;+1		;Remember the bars already counted at this point
gkBase	=	gktimeA		;and the current time
kNewMeter	=	kMeter
	outvalue	"Meter",kNewMeter ;WILL ALWAYS execute at i-time and if you skip init, it crashes! Yeesh!!
gkNewMtr	=	0	;clear meter change flag, so it won't get changed again by instrument 3
	endif	;Meter change if	
	else	;recall the snapshot
	outvalue	"snapshot",kSnapNo
	igoto	no_load	;don't do this at i-time
recall:	reinit	recall
	turnon	108	;instr 108 loads the snapshot
	rireturn
no_load:	
	endif	;end snapshot recall if		
	turnoff	;turn off this instance of instr 98, as soon as we've executed the event
	endif	;Bar schedule if
	endif	;Bar change if
	endin
	
;===========================================
		
	instr	99	;Server instrument

imaxusers	=	$MAXUSERS
kTimeQ	init	0	;init var to receive query times
kBeat	init	0	;start counting at beat 0
kResetFlag	init	0	;flag that indicates we need to reset the bar
Suser	strcpy	""
SuserIP	strcpy	""
Schatline	strcpy	""
Serror	strcpy	""
gkSync	init	0	;turn off sync to server switch if on
	kgoto	skip	;skip next statement after i-time
	outvalue	"ServerSync",0
skip:
kcount	timeinstk
	if	(kcount == 1) then	    
;automatically join this computer on the first k	
	OSCsend	kcount,gSserverIP,giOutport, "/join/user", "ss", gSname, gSlocalIP		
	endif
		    
kTrig	metro	gkGUIHz	;regularly check the relevant GUI widgets
	if	(kTrig == 1) then
;If tempo or meter has changed, broadcast a beatq response message
kTrigT	changed	gkTempo
kTrigM	changed	gkMeter
	if	(kTrigT == 1 || kTrigM == 1) kgoto InformUsers	
;Check if user has clicked the reset bar button	
kResetBar	invalue	"ResetBar"
kReset	changed	kResetBar
	if	(kReset == 1 && kResetBar == 1) then
kResetFlag	=	1	;remember the button push	
	endif	;end reset bar if	
	endif	;end metro if	

;--------------------------------------;
kTimeS	=	gktimeA	;Server Clock (depends on instrument 3 clock above)
;--------------------------------------;

ktrgB	changed	gkBeat
	if	(ktrgB == 1) then	;if a new beat, check if reset bar button has been clicked	
	if	(kResetFlag == 1) then	;reset the bar number to 0
kResetFlag	=	0		;reset the flag	
gkBar	=	0		;rewind the bar/beat/tick counters to 0	
gkBeat	=	0
gkBarBeat	=	0
gkOffset	=	0
gkOldbar	=	0
gkOldbeat	=	0
gkBase	=	gktimeA	;clock offset after resetting the bar/beat numbers 
InformUsers:
	if	(gkusers > 1) then
kndx	=	2	 ;don't broadcast to yourself
reset_loop:		
Sline	sprintfk	{{i 104 0 1 "%s" %i %f %f %i %f %f %i %i}},gSIPs[kndx-1],gkBeat,gktimeA,\
		gkTempo,gkMeter,gkOffset,gkBase,gkOldbar,gkOldbeat
	scoreline	Sline,kndx
	loop_le	kndx,1,gkusers,reset_loop
	endif	;end user check if
	endif	;end reset bar if	
kBeat	=	gkBeat
kTimeB	=	gktimeA
kbpm	=	gkTempo
	endif	;end new beat if

;---------------------------------------------------;
;Listen for server time queries
ktrg1	OSClisten	gioscS, "/timeq", "sfs", Suser, kTimeQ, SuserIP
	if	(ktrg1 == 1) then
; Optionally, check to see if this request is from a valid user, but it's not really necessary... 	
/*
	if	(gkusers == 0) goto continue	;just ignore if no users
knth	finduser	Suser,gkusers
	if	(knth < 0) goto continue	;just ignore if user not found
*/
Sline	sprintfk	{{i 103 0 1 "%s" %f %f}},SuserIP,kTimeS,kTimeQ
	scoreline Sline,ktrg1			
	endif	;end server time query if
	
;---------------------------------------------------;	
;Listen for /beatq messages from clients	
ktrg2	OSClisten	gioscS, "/beatq", "s", Suser
	if	(ktrg2 == 1) then
;	check if we have any users in the group
	if	(gkusers == 0) goto continue	;just ignore if no users		
;	check if this user is in the group
knth	finduser	Suser,gkusers
	if	(knth < 0) goto continue	;just ignore if user not found			
Sline	sprintfk	{{i 104 0 1 "%s" %i %f %f %i %i %f %i %i }},gSIPs[knth],kBeat,kTimeB,\
		kbpm,gkMeter,gkOffset,gkBase,gkOldbar,gkOldbeat
	scoreline 	Sline,ktrg2				
	endif	;end server beat query if	

;---------------------------------------------------;		
;Listen for user join requests
ktrg4	OSClisten	gioscS, "/join/user", "ss", Suser,SuserIP
	if	(ktrg4 == 1) then
Stemp	sprintfk	"%s %s wants to join",Suser,SuserIP	
	outvalue	"incoming",Stemp
	
kret	adduser	Suser,SuserIP,$MAXUSERS
	if	(kret == -1) goto error0	;too many users
	if	(kret == -2) goto error1	;already joined	
;user was added	
gStext	sprintfk	"%s has joined successfully",Suser	
	kgoto	done
error0:
gStext	strcpyk	"Max users reached!"
	kgoto	done		
error1:
gStext	sprintfk	"%s has already joined",Suser
done:	
   	outvalue	"incoming",gStext 	
Sline	sprintfk	{{i 100 0 1 "%s"}},SuserIP
	scoreline Sline,ktrg4		
    	endif	;end join user if

;---------------------------------------------------;
;Listen for incoming chat messages
ktrg5	OSClisten	gioscS, "/chatsend", "ss", Suser,Schatline
	if	(ktrg5 == 1) then
;	check if we have any users in the group
	if	(gkusers == 0) goto continue		
;	check if this user is in the group
knth	finduser	Suser,gkusers
	if	(knth >= 0) goto broadcast		
;ineligible sender
	igoto	skip_error1
Serror	strcpyk	"User not found. Chat message not sent."
skip_error1:
	outvalue	"incoming",Serror
	kgoto	continue
broadcast: 	
;	broadcast the message to all users
gStext	strcpyk	Schatline
gSuser	strcpyk	Suser
kndx	=	1
broadcast_loop:	
Sline	sprintfk	{{i 101 0 1 "%s"}},gSIPs[kndx-1]	
	scoreline	Sline,kndx
	loop_le	kndx,1,gkusers,broadcast_loop	
    	endif	;end chatsend if

;---------------------------------------------------;
;Listen for /getusers requests
ktrg6	OSClisten	gioscS, "/getusers","s",Suser
	if	(ktrg6 == 1) then
	if	(gkusers == 0) goto continue	;skip out here if no list
;	check if this user is in the group
knth	finduser	Suser,gkusers
	if	(knth >= 0) goto sendlist 
;get here if requestor is not in the list of users	
	igoto	skip_error2
Serror	sprintfk	"User %s not found. Getuser request ignored.",Suser
skip_error2:
	outvalue	"incoming",Serror
	kgoto continue
sendlist:   
Sline	sprintfk	{{i 102 0 1 "%s"}},gSIPs[knth]	
	scoreline Sline,ktrg6
	endif	;getusers if

;---------------------------------------------------;	
;Listen for incoming event schedule requests
kbar	init	0
ksnap	init	0
ktype	init	0

ktrg7	OSClisten	gioscS, "/schedule/request", "siii", Suser,kbar,ksnap,ktype
	if	(ktrg7 == 1) then
;	check if we have any users in the group
	if	(gkusers == 0) goto continue		
;	check if this user is in the group
knth	finduser	Suser,gkusers
	if	(knth >= 0) goto schedule_it	
;ineligible sender
	igoto	skip_error3
Serror	sprintfk	"User %s not found. Schedule message not sent.",Suser
skip_error3:
	outvalue	"incoming",Serror
	kgoto	continue
schedule_it: 	
;	broadcast the schedule message to all users
kndx	=	1
schedule_loop:	
Sline	sprintfk	{{i 112 0 1 "%s" %i %i %i}},gSIPs[kndx-1],kbar,ksnap,ktype
	scoreline	Sline,kndx
	loop_le	kndx,1,gkusers,schedule_loop
    	endif	;end schedule request if		
continue:	
	endin	

;===========================================


	instr	100	;replies to join requests
SIP	strcpy	p4		
	OSCsend 	1, SIP, giOutportS, "/join/confirm", "ss", "Server", gStext 
	turnoff
	endin

;===========================================
	
	instr	101	;sends a chat line to the specified IP
SIP	strcpy	p4			
	OSCsend 	1, SIP, giOutportS, "/chatreceive", "ss", gSuser, gStext 
	turnoff
	endin

;===========================================
	instr	102	;dumps the list of users and IPs to the specified IP
SIP	strcpy	p4
kndx	init	0	
loop:	
ktrig	=	kndx+1
	OSCsend	ktrig, SIP, giOutportS, "/userlist","ss",gSUsers[kndx],gSIPs[kndx]
	loop_lt	kndx,1,gkusers,loop
	turnoff
	endin
	
;===========================================
	
	instr	103	;responds to a timeq request
SIP	strcpy	p4
iTimeS	=	p5
iTimeQ	=	p6			
	OSCsend 	1, SIP, giOutportS, "/timeq/response", "ff", iTimeS, iTimeQ
	turnoff
	endin	

;===========================================
	
	instr	104	;responds to a beatq request
SIP	strcpy	p4
iBeatNo	=	p5
iTime	=	p6
iTempo	=	p7
iMeter	=	p8
iOffset	=	p9
iBase	=	p10
iOldBar	=	p11
iOldBeat	=	p12
	OSCsend 	1, SIP, giOutportS, "/beatq/response", "iffiifii", iBeatNo, iTime, iTempo, iMeter, iOffset, iBase, iOldBar, iOldBeat
	turnoff
	endin

;===========================================
	
	instr	105	;requests a table and provides IP, Port, and target function number
SIP	invalue	"SourceIP"
kMyFn	invalue	"ReceiveTable"
kSrcFn	invalue	"SourceTable"
	OSCsend	1,SIP,giAltport,"/gettab","iisi",i(kMyFn),i(kSrcFn),gSlocalIP,giAltport
	turnoff
	endin

;===========================================

	instr	106	;dumps a table via OSC
SIP	invalue	"TargetIP"
kMyFn	invalue	"OutputTable"
kTgtFn	invalue	"TargetTable"
	tb0_init	i(kMyFn)	;table to dump
kn	init	0	;starting location in the table
imax	=	128	;gicount
loop:	
   OSCsend	kn,SIP,giAltport,"/filltab","iiffffffff",i(kTgtFn),kn,tb0(kn),tb0(kn+1),tb0(kn+2),tb0(kn+3),tb0(kn+4),tb0(kn+5),tb0(kn+6),tb0(kn+7)
	loop_lt	kn,8,imax,loop
	turnoff
	endin
	
;===========================================
	
	instr	107	;snapshot store instrument
		
gksnap	invalue	"snapshot"
iOff	=	i(gksnap)*16	;compute offset (snapno * nvalues per snap)
isnapfn	=	gipfn
	prints	"Storing snapshot %d\n",i(gksnap)+1
;get current widget values
kMeter	invalue	"Meter"
kTempo	invalue	"Tempo"
kPluckSub	invalue	"PluckSubdivision"
kPluckKey	invalue	"PluckKey"
kHarmMod	invalue	"HarmMod"
kPluckVol	invalue	"PluckVol"
kPlucker	invalue	"Plucker"
kPluckLPF	invalue	"PluckLPFCutoff"
kPluckWrap	invalue	"WrapFold"
kDrummer	invalue	"Drummer"
kDrumVol	invalue	"DrumVol"
kCrashProb	invalue	"CrashProb"
kHHProb	invalue	"HHProb"
kSnareProb	invalue	"SnareProb"
kBDProb	invalue	"BDProb"
kDrumSub	invalue	"DrumSubdivision"
;write to the snapshot table
	tableiw	i(kMeter),0,isnapfn,0,iOff
	tableiw	i(kTempo),1,isnapfn,0,iOff
	tableiw	i(kPluckSub),2,isnapfn,0,iOff
	tableiw	i(kPluckKey),3,isnapfn,0,iOff	
	tableiw	i(kHarmMod),4,isnapfn,0,iOff
	tableiw	i(kPluckVol),5,isnapfn,0,iOff	
	tableiw	i(kPlucker),6,isnapfn,0,iOff
	tableiw	i(kPluckLPF),7,isnapfn,0,iOff	
	tableiw	i(kPluckWrap),8,isnapfn,0,iOff
	tableiw	i(kDrummer),9,isnapfn,0,iOff	
	tableiw	i(kDrumVol),10,isnapfn,0,iOff
	tableiw	i(kCrashProb),11,isnapfn,0,iOff
	tableiw	i(kHHProb),12,isnapfn,0,iOff	
	tableiw	i(kSnareProb),13,isnapfn,0,iOff
	tableiw	i(kBDProb),14,isnapfn,0,iOff
	tableiw	i(kDrumSub),15,isnapfn,0,iOff	
	turnoff
	endin
	
;======================================

	instr 	108	;snapshot load
;
;This instrument is invoked from the QT Csound GUI when the Load button is clicked,
;or if a snapshot is scheduled via instr 98
;
gksnap	invalue	"snapshot"
iOff	=	i(gksnap)*16	;compute offset (snapno * nvalues per snap)

	prints	"Loading snapshot %d\n",i(gksnap)+1
	outvalue	"incoming",""	;clear any schedule message	
		
	tb5_init	gipfn	;set tb5 function to snapshot table

iNewMeter	=	tb5(iOff)
	if	(iNewMeter != i(gkMeter)-1) then ;the meter is changing
gkSchedule	init	1	
gkOffset	init	i(gkBeat)	;save current beat
gkOldbar	init	i(gkBar)	;save current bar
gkOldbeat	init	i(gkBarBeat)	;save downbeat of current bar
gkBase	init	i(gktimeA)	;save current time
	else
gkSchedule	init	0	
	endif	

	outvalue	"Meter",tb5(iOff+0)
	outvalue	"Tempo",tb5(iOff+1)
	outvalue	"PluckSubdivision",tb5(iOff+2)
	outvalue	"PluckKey",tb5(iOff+3)
	outvalue	"HarmMod",tb5(iOff+4)
	outvalue	"PluckVol",tb5(iOff+5)
	outvalue	"Plucker",tb5(iOff+6)
	outvalue	"PluckLPFCutoff",tb5(iOff+7)
	outvalue	"WrapFold",tb5(iOff+8)
	outvalue	"Drummer",tb5(iOff+9)
	outvalue	"DrumVol",tb5(iOff+10)
	outvalue	"CrashProb",tb5(iOff+11)
	outvalue	"HHProb",tb5(iOff+12)
	outvalue	"SnareProb",tb5(iOff+13)
	outvalue	"BDProb",tb5(iOff+14)
	outvalue	"DrumSubdivision",tb5(iOff+15)			
	turnoff
	endin	
	

;===========================================

	instr	109	;save snapshot file
;
;This instrument is invoked from the QT Csound GUI when the Save/Replace button is clicked
;
Snapfile	invalue	"_Browse2"
Stemp	sprintfk	"Saving %s\n",Snapfile
	puts	Stemp,1
		ftsave	Snapfile,1,gipfn
	endin

;===========================================

	instr	110	;open snapshot file
;
;This instrument is invoked from QT Csound GUI when the Open button is clicked
;
Snapfile	invalue	"_Browse2"
Stemp	sprintfk	"Loading %s\n",Snapfile
	puts	Stemp,1
	ftload 	Snapfile,1,gipfn
	endin

;===========================================
	
	instr	111	;ask the server to schedule a snapshot change
kbar	invalue	"SchedBar"		
ksnap	invalue	"SnapNum"
ktype	invalue	"SchedType"
	OSCsend 	1, gSserverIP, giOutport, "/schedule/request", "siii", gSname, kbar, ksnap, ktype
	turnoff
	endin
	
;===========================================
	
	instr	112	;sends a schedule message to the specified IP
SIP	strcpy	p4
ibar	=	p5
isnap	=	p6
itype	=	p7			
	OSCsend 	1, SIP, giOutportS, "/schedule", "iii", ibar, isnap, itype 
	turnoff
	endin
	
;===========================================

	instr	113	;schedules a sync blip on every bar
ktrig	changed	gkBar
	schedkwhen	ktrig,0,0,114,gkdelay,.1
	endin
	
;===========================================

	instr	114	;sync blipper
	kgoto	skip	;read at i-time only
kpitch	invalue	"SyncPitch"
kvol	invalue	"SyncLevel"		
skip:	
asig	lfo	kvol,cpsmidinn(kpitch),1
asig	linen	asig,.001,p3,p3-.001
	outs	asig,asig	
	endin	
												
</CsInstruments>

<CsScore>
;GUI control instruments
i01	0	60000	;Updates most of the client's GUI widgets
i02	0	60000	;Reads most of the client's GUI widgets
i04	0	60000	;Handles the GUI widgets for the music generation instruments
i110	0	1	;loads the snapshot file
</CsScore>

</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>262</x>
 <y>241</y>
 <width>1256</width>
 <height>724</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="background">
  <r>102</r>
  <g>113</g>
  <b>145</b>
 </bgcolor>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>542</x>
  <y>5</y>
  <width>678</width>
  <height>620</height>
  <uuid>{f3d0052c-c9d3-40e4-b344-2a0c60a2ad2b}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Instrument Performance Controls</label>
  <alignment>left</alignment>
  <font>Verdana</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>179</r>
   <g>179</g>
   <b>179</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>11</borderradius>
  <borderwidth>7</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>542</x>
  <y>627</y>
  <width>678</width>
  <height>80</height>
  <uuid>{c59215d6-2e20-48d8-8358-6d2c98f96fc6}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Snapshots</label>
  <alignment>left</alignment>
  <font>Verdana</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>179</r>
   <g>179</g>
   <b>179</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>11</borderradius>
  <borderwidth>7</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>3</x>
  <y>628</y>
  <width>536</width>
  <height>78</height>
  <uuid>{615bdd76-c7fd-4f99-a813-c95381426c0a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Schedule Events</label>
  <alignment>left</alignment>
  <font>Verdana</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>179</r>
   <g>179</g>
   <b>179</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>11</borderradius>
  <borderwidth>7</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>3</x>
  <y>2</y>
  <width>536</width>
  <height>620</height>
  <uuid>{48b1ce6f-5ded-449f-8c00-b0e140fdc615}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Csound Client Window</label>
  <alignment>left</alignment>
  <font>Verdana</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>179</r>
   <g>179</g>
   <b>179</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>11</borderradius>
  <borderwidth>7</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>chatline1</objectName>
  <x>19</x>
  <y>196</y>
  <width>501</width>
  <height>24</height>
  <uuid>{c7fe1385-d8c6-4a98-9d7e-86aa43fee952}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>chatline2</objectName>
  <x>19</x>
  <y>218</y>
  <width>501</width>
  <height>24</height>
  <uuid>{aa2a1096-5784-4689-8141-cf6c78b4c9a7}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>chatline3</objectName>
  <x>19</x>
  <y>240</y>
  <width>501</width>
  <height>24</height>
  <uuid>{947c6c9f-85cf-4889-aad9-19bb74dfd854}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>mychat</objectName>
  <x>17</x>
  <y>130</y>
  <width>431</width>
  <height>23</height>
  <uuid>{03232f76-ee52-4fbc-82ed-b9c5bdb509a8}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>Send</objectName>
  <x>454</x>
  <y>128</y>
  <width>64</width>
  <height>27</height>
  <uuid>{372927af-ac90-4ded-91d6-5707a63f4999}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Send</text>
  <image>/</image>
  <eventLine/>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>serverIP</objectName>
  <x>17</x>
  <y>101</y>
  <width>114</width>
  <height>23</height>
  <uuid>{0b6c93ca-4113-4732-9e59-1062622dddce}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>192.168.2.8</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>myName</objectName>
  <x>174</x>
  <y>101</y>
  <width>114</width>
  <height>23</height>
  <uuid>{a1f77282-fb10-403a-8895-7fb308535aa4}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Barack</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>Join</objectName>
  <x>454</x>
  <y>98</y>
  <width>64</width>
  <height>29</height>
  <uuid>{578264f5-d4c7-449e-95a7-7e617c011a7e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Join</text>
  <image>/</image>
  <eventLine/>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>localIP</objectName>
  <x>332</x>
  <y>101</y>
  <width>114</width>
  <height>23</height>
  <uuid>{9d877e58-87e0-4e72-98ec-c6bcdbee3801}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>192.168.2.8</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>incoming</objectName>
  <x>19</x>
  <y>301</y>
  <width>501</width>
  <height>24</height>
  <uuid>{38d20a7c-6432-4f6c-a0a7-00917da432ea}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>17</x>
  <y>74</y>
  <width>80</width>
  <height>25</height>
  <uuid>{ab776a0b-f801-4639-a144-53fef9f585cb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Server IP</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>332</x>
  <y>73</y>
  <width>80</width>
  <height>25</height>
  <uuid>{4c110df9-0a10-40e1-b88e-a89d105c88b0}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Local IP</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>174</x>
  <y>73</y>
  <width>80</width>
  <height>25</height>
  <uuid>{a9c772c0-9311-4612-a84d-a20b944bb901}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Chat name</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>Clear</objectName>
  <x>106</x>
  <y>163</y>
  <width>64</width>
  <height>32</height>
  <uuid>{586664fc-54e7-4a0f-9409-ef2b15676782}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Clear</text>
  <image>/</image>
  <eventLine/>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>19</x>
  <y>271</y>
  <width>125</width>
  <height>25</height>
  <uuid>{25927c9f-caa0-4ea5-855a-297461ab6fa4}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Notifications</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>19</x>
  <y>164</y>
  <width>83</width>
  <height>27</height>
  <uuid>{16effa86-0bc7-426c-91ac-21508ecf4abc}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Chat history</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>timing</objectName>
  <x>19</x>
  <y>360</y>
  <width>501</width>
  <height>24</height>
  <uuid>{aed33202-6b9c-4882-8451-e1f733d38b3c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>19</x>
  <y>330</y>
  <width>125</width>
  <height>25</height>
  <uuid>{2101b8e3-c1a8-40a8-8796-d230943259bc}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Timing messages</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>Clock</objectName>
  <x>19</x>
  <y>547</y>
  <width>71</width>
  <height>31</height>
  <uuid>{f9ba8181-9b1d-4d6e-82dd-9565fbd2244e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Clock</text>
  <image>/</image>
  <eventLine>i3 0 -1</eventLine>
  <latch>true</latch>
  <latched>true</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBHSlider">
  <objectName>delay</objectName>
  <x>89</x>
  <y>392</y>
  <width>347</width>
  <height>26</height>
  <uuid>{ca2c4558-0f4f-413c-95b1-5782ff3a1a8a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>19</x>
  <y>392</y>
  <width>67</width>
  <height>26</height>
  <uuid>{6c02ca6e-ab0a-4ca7-847e-7efe3eafeaae}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Delay</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBHSlider">
  <objectName>Tempo</objectName>
  <x>89</x>
  <y>424</y>
  <width>347</width>
  <height>26</height>
  <uuid>{a333d1f6-60cc-4f0b-9faf-ab11f243806e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>20.00000000</minimum>
  <maximum>480.00000000</maximum>
  <value>120.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>19</x>
  <y>424</y>
  <width>67</width>
  <height>26</height>
  <uuid>{3f3e0b84-979f-4460-97a3-350ed90f13f5}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Tempo</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBSpinBox">
  <objectName>Tempo</objectName>
  <x>440</x>
  <y>424</y>
  <width>80</width>
  <height>26</height>
  <uuid>{a8d2753b-f215-41fc-990e-67d3b31a97fc}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <resolution>0.10000000</resolution>
  <minimum>10</minimum>
  <maximum>480</maximum>
  <randomizable group="0">false</randomizable>
  <value>120</value>
 </bsbObject>
 <bsbObject version="2" type="BSBSpinBox">
  <objectName>delay</objectName>
  <x>440</x>
  <y>392</y>
  <width>80</width>
  <height>26</height>
  <uuid>{fd5473b6-4659-4974-a72b-f6a43cc87868}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <resolution>0.01000000</resolution>
  <minimum>0</minimum>
  <maximum>1</maximum>
  <randomizable group="0">false</randomizable>
  <value>0</value>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>display29</objectName>
  <x>20</x>
  <y>530</y>
  <width>503</width>
  <height>7</height>
  <uuid>{f63bfa28-6b1f-4f54-bebf-5512df86e29b}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>76</r>
   <g>76</g>
   <b>76</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>6</borderradius>
  <borderwidth>2</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>Users</objectName>
  <x>454</x>
  <y>156</y>
  <width>64</width>
  <height>27</height>
  <uuid>{723b23c1-3f28-403e-965b-450582028bd3}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Users</text>
  <image>/</image>
  <eventLine/>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>BeatQ</objectName>
  <x>114</x>
  <y>547</y>
  <width>100</width>
  <height>30</height>
  <uuid>{affffe64-f03c-49a6-aa31-1ecf432d1587}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Query Beat</text>
  <image>/</image>
  <eventLine/>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>19</x>
  <y>457</y>
  <width>46</width>
  <height>24</height>
  <uuid>{3391b87b-afe0-4521-bd31-76c6fdf7415a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Meter</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>Meter</objectName>
  <x>70</x>
  <y>457</y>
  <width>73</width>
  <height>26</height>
  <uuid>{4270dab0-6c57-4a21-9aa6-0300033d48b1}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>1/4</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>2/4</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>3/4</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>4/4</name>
    <value>3</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>5/4</name>
    <value>4</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>6/4</name>
    <value>5</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>7/4</name>
    <value>6</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>8/4</name>
    <value>7</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>9/4</name>
    <value>8</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>10/4</name>
    <value>9</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>11/4</name>
    <value>10</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>3</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBCheckBox">
  <objectName>ServerSync</objectName>
  <x>22</x>
  <y>584</y>
  <width>20</width>
  <height>20</height>
  <uuid>{8c997d83-c359-4d4d-8f18-819563675784}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <selected>false</selected>
  <label/>
  <pressedValue>1</pressedValue>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>41</x>
  <y>583</y>
  <width>172</width>
  <height>24</height>
  <uuid>{5a0a28b7-2c09-47c9-a505-219400c3e130}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Sync Clock to External Server</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>display29</objectName>
  <x>574</x>
  <y>475</y>
  <width>622</width>
  <height>7</height>
  <uuid>{f0cbf3ac-9893-4224-8303-6c5dc385477b}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>76</r>
   <g>76</g>
   <b>76</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>6</borderradius>
  <borderwidth>2</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBSpinBox">
  <objectName>GUIUpdateRate</objectName>
  <x>481</x>
  <y>456</y>
  <width>39</width>
  <height>25</height>
  <uuid>{499d9b73-8f64-4ab4-b429-1ea6d207ab1b}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <resolution>1.00000000</resolution>
  <minimum>1</minimum>
  <maximum>16</maximum>
  <randomizable group="0">false</randomizable>
  <value>10</value>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>362</x>
  <y>457</y>
  <width>117</width>
  <height>23</height>
  <uuid>{f0a25183-333b-4468-a06d-8e364730a753}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>GUI Update Rate</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>ScheduleEvent</objectName>
  <x>12</x>
  <y>663</y>
  <width>80</width>
  <height>31</height>
  <uuid>{e9aaf3e6-f1ae-47f1-9afe-7502614eed1f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Schedule</text>
  <image>/</image>
  <eventLine>i56 0 1000</eventLine>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>SchedType</objectName>
  <x>194</x>
  <y>666</y>
  <width>94</width>
  <height>26</height>
  <uuid>{2e6925e2-5a63-4e4a-a4a6-e53ec56db792}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>Relative</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Absolute</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>0</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>124</x>
  <y>666</y>
  <width>70</width>
  <height>26</height>
  <uuid>{14f6d088-15c4-43c9-9f99-1c4ea4a8062a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Measure(s)</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>SchedBar</objectName>
  <x>92</x>
  <y>666</y>
  <width>33</width>
  <height>25</height>
  <uuid>{457dbf02-2ce8-4ccd-845d-abf83de0a472}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>2</label>
  <alignment>right</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>Position</objectName>
  <x>424</x>
  <y>23</y>
  <width>94</width>
  <height>48</height>
  <uuid>{83f315e0-b38f-4302-b9b5-2ed368bf2de0}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>15:1</label>
  <alignment>right</alignment>
  <font>Arial</font>
  <fontsize>30</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>0</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>2</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>291</x>
  <y>666</y>
  <width>41</width>
  <height>26</height>
  <uuid>{61bfd835-0506-4ca1-896e-2bc438a661a2}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Meter</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>NewMeter</objectName>
  <x>331</x>
  <y>666</y>
  <width>60</width>
  <height>27</height>
  <uuid>{02007925-923d-4ac4-87c2-c9589f54c4eb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>1/4</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>2/4</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>3/4</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>4/4</name>
    <value>3</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>5/4</name>
    <value>4</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>6/4</name>
    <value>5</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>7/4</name>
    <value>6</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>8/4</name>
    <value>7</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>9/4</name>
    <value>8</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>10/4</name>
    <value>9</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>11/4</name>
    <value>10</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>4</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>RunServer</objectName>
  <x>217</x>
  <y>582</y>
  <width>112</width>
  <height>28</height>
  <uuid>{6a56958b-9c8e-4777-95a7-e8ba72b03b87}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Run As Server</text>
  <image>/</image>
  <eventLine>i99 0 -1</eventLine>
  <latch>true</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>GetTable</objectName>
  <x>579</x>
  <y>541</y>
  <width>102</width>
  <height>30</height>
  <uuid>{3e0cb14a-cd6a-46e3-b8ac-ace64353a111}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Get Table</text>
  <image>/</image>
  <eventLine>i105 0 10</eventLine>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>SendTable</objectName>
  <x>579</x>
  <y>578</y>
  <width>102</width>
  <height>30</height>
  <uuid>{a5d56fb2-da70-477b-b5b9-4451a2c06e87}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Send Table</text>
  <image>/</image>
  <eventLine>i106 0 10</eventLine>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>OutputTable</objectName>
  <x>683</x>
  <y>578</y>
  <width>53</width>
  <height>24</height>
  <uuid>{8c0c38bf-d55f-491b-bc70-7021b6b5ce50}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>SourceTable</objectName>
  <x>682</x>
  <y>541</y>
  <width>53</width>
  <height>26</height>
  <uuid>{7893e8bb-8af6-4c83-98cd-d34cce23fd0c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>ReceiveTable</objectName>
  <x>843</x>
  <y>542</y>
  <width>37</width>
  <height>28</height>
  <uuid>{35b466f4-b4d8-4f34-bbe3-8a4a358d2241}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>TargetTable</objectName>
  <x>843</x>
  <y>579</y>
  <width>37</width>
  <height>26</height>
  <uuid>{7e164db5-ad4e-40d8-ae80-7d30d215b7e3}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>SourceIP</objectName>
  <x>977</x>
  <y>541</y>
  <width>222</width>
  <height>28</height>
  <uuid>{cf3afe0f-3085-4b79-9703-f87a991ed82c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>TargetIP</objectName>
  <x>978</x>
  <y>578</y>
  <width>222</width>
  <height>26</height>
  <uuid>{bf12e9b8-0faf-4636-b8e9-7b6e912939cf}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>918</x>
  <y>541</y>
  <width>57</width>
  <height>26</height>
  <uuid>{4a1950ff-7aa6-409c-914d-6f2116879c75}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>User IP</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>762</x>
  <y>542</y>
  <width>79</width>
  <height>26</height>
  <uuid>{3dcf4bef-45a4-4895-b8df-646b43bfab1d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Store to fn:</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>762</x>
  <y>579</y>
  <width>79</width>
  <height>26</height>
  <uuid>{b0551dfa-726d-41d9-a891-b0313eb2dc01}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Store to fn:</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>579</x>
  <y>506</y>
  <width>165</width>
  <height>29</height>
  <uuid>{0b9790cf-46e1-4ab1-b161-8bc0e2eb282f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Send/Receive Tables</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>918</x>
  <y>578</y>
  <width>57</width>
  <height>26</height>
  <uuid>{04e45080-58e8-4087-b557-148bad5aa732}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>User IP</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>display29</objectName>
  <x>574</x>
  <y>323</y>
  <width>622</width>
  <height>7</height>
  <uuid>{c9ff8f53-a4ff-4a2b-9b03-69af387b5bea}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>76</r>
   <g>76</g>
   <b>76</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>6</borderradius>
  <borderwidth>2</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>snapshot</objectName>
  <x>1014</x>
  <y>637</y>
  <width>76</width>
  <height>25</height>
  <uuid>{20f48126-f701-410f-87b5-6cd185053caf}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>snap1</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap2</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap3</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap4</name>
    <value>3</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap5</name>
    <value>4</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap6</name>
    <value>5</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap7</name>
    <value>6</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap8</name>
    <value>7</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap9</name>
    <value>8</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap10</name>
    <value>9</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap11</name>
    <value>10</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap12</name>
    <value>11</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap13</name>
    <value>12</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap14</name>
    <value>13</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap15</name>
    <value>14</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap16</name>
    <value>15</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>0</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>LoadSnap</objectName>
  <x>896</x>
  <y>637</y>
  <width>119</width>
  <height>28</height>
  <uuid>{61badb40-424c-4b64-abae-bde27eb7a811}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Load Snapshot</text>
  <image>/</image>
  <eventLine>i108 0 10</eventLine>
  <latch>false</latch>
  <latched>true</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>StoreSnap</objectName>
  <x>1093</x>
  <y>637</y>
  <width>119</width>
  <height>28</height>
  <uuid>{9130956d-98e8-4853-9847-803335b4bf55}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Store Snapshot</text>
  <image>/</image>
  <eventLine>i107 0 10</eventLine>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>_Browse2</objectName>
  <x>556</x>
  <y>667</y>
  <width>66</width>
  <height>29</height>
  <uuid>{109c818d-8458-4c07-803d-16bc9cef30ce}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue>SampleSnaps.txt</stringvalue>
  <text>Browse</text>
  <image>/</image>
  <eventLine>i1 0 10</eventLine>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBLineEdit">
  <objectName>_Browse2</objectName>
  <x>624</x>
  <y>670</y>
  <width>386</width>
  <height>24</height>
  <uuid>{7a6d75c3-6987-4994-bcd5-591ff0d1b690}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>SampleSnaps.txt</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>237</r>
   <g>237</g>
   <b>237</b>
  </bgcolor>
  <background>nobackground</background>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>OpenSnapFile</objectName>
  <x>1012</x>
  <y>667</y>
  <width>81</width>
  <height>28</height>
  <uuid>{b83862d9-ef24-4081-94aa-4ee0f4add565}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Open</text>
  <image>/</image>
  <eventLine>i110 0 1</eventLine>
  <latch>false</latch>
  <latched>true</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>SaveSnapFile</objectName>
  <x>1094</x>
  <y>667</y>
  <width>118</width>
  <height>28</height>
  <uuid>{19b3d32b-7adc-4136-84bd-77cc06831146}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Save/Replace</text>
  <image>/</image>
  <eventLine>i109 0 1</eventLine>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBCheckBox">
  <objectName>ScheduleSnap</objectName>
  <x>148</x>
  <y>639</y>
  <width>20</width>
  <height>20</height>
  <uuid>{01862f3a-8d79-4fe6-8187-6ecd2f6c604e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <selected>true</selected>
  <label/>
  <pressedValue>1</pressedValue>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>169</x>
  <y>639</y>
  <width>104</width>
  <height>23</height>
  <uuid>{376ea4fa-8d5b-455b-b214-71965a911804}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Schedule Preset</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>SnapNum</objectName>
  <x>282</x>
  <y>639</y>
  <width>79</width>
  <height>23</height>
  <uuid>{439fefbf-0086-43c6-9357-d290317f8d01}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>snap1</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap2</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap3</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap4</name>
    <value>3</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap5</name>
    <value>4</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap6</name>
    <value>5</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap7</name>
    <value>6</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap8</name>
    <value>7</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap9</name>
    <value>8</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap10</name>
    <value>9</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap11</name>
    <value>10</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap12</name>
    <value>11</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap13</name>
    <value>12</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap14</name>
    <value>13</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap15</name>
    <value>14</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>snap16</name>
    <value>15</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>1</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>ServerSched</objectName>
  <x>384</x>
  <y>639</y>
  <width>145</width>
  <height>26</height>
  <uuid>{6e270870-508f-4e6e-b6a2-fd2f7d4ecc13}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Schedule via Server</text>
  <image>/</image>
  <eventLine>i111 0 1</eventLine>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBCheckBox">
  <objectName>ServerControl</objectName>
  <x>396</x>
  <y>669</y>
  <width>20</width>
  <height>20</height>
  <uuid>{9289b4a7-fb95-45c4-a6df-205bdc494eea}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <selected>true</selected>
  <label/>
  <pressedValue>1</pressedValue>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>415</x>
  <y>667</y>
  <width>114</width>
  <height>23</height>
  <uuid>{2df99562-ddf7-4942-a5fe-65b54ed61223}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Allow External Ctrl</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>SyncBlip</objectName>
  <x>349</x>
  <y>581</y>
  <width>78</width>
  <height>32</height>
  <uuid>{53d6a722-2ec4-42b4-8063-06a4d7eaacd0}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>event</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Sync Blip</text>
  <image>/</image>
  <eventLine>i113 0 -1</eventLine>
  <latch>true</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBScrollNumber">
  <objectName>SyncPitch</objectName>
  <x>492</x>
  <y>581</y>
  <width>30</width>
  <height>24</height>
  <uuid>{5b43a536-2e59-47f1-bb64-b3440ca852ac}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <value>72.00000000</value>
  <resolution>1.00000000</resolution>
  <minimum>60.00000000</minimum>
  <maximum>84.00000000</maximum>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
  <randomizable group="0">false</randomizable>
  <mouseControl act=""/>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>428</x>
  <y>581</y>
  <width>60</width>
  <height>24</height>
  <uuid>{a7df8670-2366-44e5-a510-40e2a0652da2}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>MIDI nn:</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBHSlider">
  <objectName>SyncLevel</objectName>
  <x>430</x>
  <y>547</y>
  <width>92</width>
  <height>26</height>
  <uuid>{ed44b769-2613-46b8-83c1-d56d5113d767}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.50000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>352</x>
  <y>547</y>
  <width>77</width>
  <height>26</height>
  <uuid>{108c8476-7562-4750-99f3-ee0f5d431f27}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Blip Level:</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>display29</objectName>
  <x>336</x>
  <y>543</y>
  <width>7</width>
  <height>68</height>
  <uuid>{a2c9c221-6ad2-4a62-bd14-0b3561167e6f}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>76</r>
   <g>76</g>
   <b>76</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>6</borderradius>
  <borderwidth>2</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>ResetBar</objectName>
  <x>217</x>
  <y>548</y>
  <width>112</width>
  <height>33</height>
  <uuid>{7f41106d-7117-49e6-bb8c-4e0e98138ca1}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Reset Bar</text>
  <image>/</image>
  <eventLine/>
  <latch>false</latch>
  <latched>false</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>Plucker</objectName>
  <x>579</x>
  <y>348</y>
  <width>71</width>
  <height>29</height>
  <uuid>{eb20ae02-c1ae-41f2-afa9-b838e8a36f17}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>32</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Plucker</text>
  <image>/</image>
  <eventLine/>
  <latch>true</latch>
  <latched>true</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBHSlider">
  <objectName>PluckVol</objectName>
  <x>718</x>
  <y>348</y>
  <width>168</width>
  <height>27</height>
  <uuid>{0387ea68-56cf-4bee-ab50-4a6ea11ad1ba}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>1</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.50000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>646</x>
  <y>348</y>
  <width>24</width>
  <height>24</height>
  <uuid>{a9f7f799-f30e-439c-b965-e09631c8c282}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>%</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBSpinBox">
  <objectName>HarmMod</objectName>
  <x>671</x>
  <y>348</y>
  <width>39</width>
  <height>25</height>
  <uuid>{7ac14b40-5c69-4200-a990-bc0b7063a14a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>right</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <resolution>1.00000000</resolution>
  <minimum>1</minimum>
  <maximum>16</maximum>
  <randomizable group="0">false</randomizable>
  <value>9</value>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>582</x>
  <y>425</y>
  <width>71</width>
  <height>24</height>
  <uuid>{8f458b3c-e4c1-44ff-aa72-88483bdc2fbb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Pluck Root</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>PluckKey</objectName>
  <x>657</x>
  <y>425</y>
  <width>55</width>
  <height>26</height>
  <uuid>{cff3f5b2-0561-4f1d-869d-d988ce083477}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>C</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>C#</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>D</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>D#</name>
    <value>3</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>E</name>
    <value>4</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>F</name>
    <value>5</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>F#</name>
    <value>6</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>G</name>
    <value>7</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>G#</name>
    <value>8</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>A</name>
    <value>9</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>A#</name>
    <value>10</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>B</name>
    <value>11</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>0</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBHSlider">
  <objectName>PluckLPFCutoff</objectName>
  <x>793</x>
  <y>392</y>
  <width>93</width>
  <height>25</height>
  <uuid>{65745ba5-3458-4d5b-a963-260bfe0f6bb9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>7.00000000</minimum>
  <maximum>12.00000000</maximum>
  <value>9.15053800</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>WrapFold</objectName>
  <x>632</x>
  <y>389</y>
  <width>80</width>
  <height>25</height>
  <uuid>{ea4dcf0d-cbdd-40dd-a796-2ea958f35d74}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>Wrap</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>Fold</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>1</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>718</x>
  <y>391</y>
  <width>72</width>
  <height>23</height>
  <uuid>{35c61341-d83a-4e63-b664-767b58d7ceec}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>LPF Cutoff</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>581</x>
  <y>390</y>
  <width>47</width>
  <height>24</height>
  <uuid>{a05d05d7-046b-4273-bd39-7870365d2c4e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Mode</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBButton">
  <objectName>Drummer</objectName>
  <x>578</x>
  <y>103</y>
  <width>138</width>
  <height>29</height>
  <uuid>{4af513a0-47b9-4451-a48c-eb05c3917444}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>33</midicc>
  <type>value</type>
  <pressedValue>1.00000000</pressedValue>
  <stringvalue/>
  <text>Simple Drummer</text>
  <image>/</image>
  <eventLine/>
  <latch>true</latch>
  <latched>true</latched>
 </bsbObject>
 <bsbObject version="2" type="BSBHSlider">
  <objectName>DrumVol</objectName>
  <x>718</x>
  <y>103</y>
  <width>166</width>
  <height>27</height>
  <uuid>{082e11d0-9c6d-4fe8-9553-c3beb9057341}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>2</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.50000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>639</x>
  <y>231</y>
  <width>187</width>
  <height>27</height>
  <uuid>{0b8c961d-cb98-4727-9259-37e057a648d4}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Snare Drum Probability %</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBSpinBox">
  <objectName>SnareProb</objectName>
  <x>579</x>
  <y>229</y>
  <width>53</width>
  <height>28</height>
  <uuid>{3669d19f-5171-42d5-a12d-b1285e74e6cd}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <resolution>1.00000000</resolution>
  <minimum>0</minimum>
  <maximum>100</maximum>
  <randomizable group="0">false</randomizable>
  <value>0</value>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>639</x>
  <y>154</y>
  <width>188</width>
  <height>24</height>
  <uuid>{0d2feb2c-71bf-43bb-afe0-d05f632504fe}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Crash Cymbal Probability %</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBSpinBox">
  <objectName>CrashProb</objectName>
  <x>579</x>
  <y>152</y>
  <width>53</width>
  <height>28</height>
  <uuid>{d6eda40d-388b-47ae-89d3-12af8451aef0}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <resolution>1.00000000</resolution>
  <minimum>0</minimum>
  <maximum>100</maximum>
  <randomizable group="0">false</randomizable>
  <value>0</value>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>639</x>
  <y>192</y>
  <width>188</width>
  <height>24</height>
  <uuid>{be481861-773b-46c4-968d-1d81b8687dc2}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>HiHat Probability %</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBSpinBox">
  <objectName>HHProb</objectName>
  <x>579</x>
  <y>190</y>
  <width>53</width>
  <height>28</height>
  <uuid>{3386f5f2-b878-4206-a17b-ebf18a615207}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <resolution>1.00000000</resolution>
  <minimum>0</minimum>
  <maximum>100</maximum>
  <randomizable group="0">false</randomizable>
  <value>100</value>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>639</x>
  <y>270</y>
  <width>191</width>
  <height>26</height>
  <uuid>{da24902e-2f59-4c69-8299-aae0b72a5198}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Bass Drum Probability %</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBSpinBox">
  <objectName>BDProb</objectName>
  <x>579</x>
  <y>268</y>
  <width>53</width>
  <height>28</height>
  <uuid>{6981701e-ab42-4ac5-bbbe-5241a5567ee8}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <resolution>1.00000000</resolution>
  <minimum>0</minimum>
  <maximum>100</maximum>
  <randomizable group="0">false</randomizable>
  <value>100</value>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>1019</x>
  <y>103</y>
  <width>118</width>
  <height>26</height>
  <uuid>{5f626286-1e38-4b6a-9d23-c315798b039e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Rhythmic Subdivision</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>DrumSubdivision</objectName>
  <x>1139</x>
  <y>103</y>
  <width>58</width>
  <height>24</height>
  <uuid>{ba683f72-8415-41a7-b515-5077947b1d10}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>4</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 8</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 8T</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 16</name>
    <value>3</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 16T</name>
    <value>4</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 32</name>
    <value>5</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 32T</name>
    <value>6</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>3</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>PluckSubdivision</objectName>
  <x>1140</x>
  <y>348</y>
  <width>58</width>
  <height>24</height>
  <uuid>{3f8e3c33-e972-4b3e-a621-06ff2e131769}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>4</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 8</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 8T</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 16</name>
    <value>3</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 16T</name>
    <value>4</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 32</name>
    <value>5</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name> 32T</name>
    <value>6</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>3</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>display29</objectName>
  <x>574</x>
  <y>73</y>
  <width>622</width>
  <height>7</height>
  <uuid>{d56b57e2-f4ff-420e-849b-6bd2211289bb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>76</r>
   <g>76</g>
   <b>76</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>6</borderradius>
  <borderwidth>2</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>1019</x>
  <y>348</y>
  <width>118</width>
  <height>26</height>
  <uuid>{4ec46d1b-9263-48b5-b2a5-ff5aded09c9c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>Rhythmic Subdivision</label>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>11</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
</bsbPanel>
<bsbPresets>
<preset name="Number0" number="0" >
<value id="{c7fe1385-d8c6-4a98-9d7e-86aa43fee952}" mode="4" ></value>
<value id="{aa2a1096-5784-4689-8141-cf6c78b4c9a7}" mode="4" ></value>
<value id="{947c6c9f-85cf-4889-aad9-19bb74dfd854}" mode="4" ></value>
<value id="{03232f76-ee52-4fbc-82ed-b9c5bdb509a8}" mode="4" ></value>
<value id="{372927af-ac90-4ded-91d6-5707a63f4999}" mode="4" >0</value>
<value id="{0b6c93ca-4113-4732-9e59-1062622dddce}" mode="4" ></value>
<value id="{a1f77282-fb10-403a-8895-7fb308535aa4}" mode="4" ></value>
<value id="{578264f5-d4c7-449e-95a7-7e617c011a7e}" mode="4" >0</value>
<value id="{9d877e58-87e0-4e72-98ec-c6bcdbee3801}" mode="4" ></value>
<value id="{38d20a7c-6432-4f6c-a0a7-00917da432ea}" mode="4" ></value>
<value id="{586664fc-54e7-4a0f-9409-ef2b15676782}" mode="4" >0</value>
<value id="{aed33202-6b9c-4882-8451-e1f733d38b3c}" mode="4" >Total Beats: 1275, Total Ticks: 7654, Current Position: 116:11:64</value>
<value id="{f9ba8181-9b1d-4d6e-82dd-9565fbd2244e}" mode="1" >1.00000000</value>
<value id="{f9ba8181-9b1d-4d6e-82dd-9565fbd2244e}" mode="4" >1</value>
<value id="{ca2c4558-0f4f-413c-95b1-5782ff3a1a8a}" mode="1" >0.00000000</value>
<value id="{a333d1f6-60cc-4f0b-9faf-ab11f243806e}" mode="1" >70.00000000</value>
<value id="{a8d2753b-f215-41fc-990e-67d3b31a97fc}" mode="1" >70.00000000</value>
<value id="{fd5473b6-4659-4974-a72b-f6a43cc87868}" mode="1" >0.00000000</value>
<value id="{f63bfa28-6b1f-4f54-bebf-5512df86e29b}" mode="1" >0.00000000</value>
<value id="{f63bfa28-6b1f-4f54-bebf-5512df86e29b}" mode="4" ></value>
<value id="{eb20ae02-c1ae-41f2-afa9-b838e8a36f17}" mode="1" >1.00000000</value>
<value id="{eb20ae02-c1ae-41f2-afa9-b838e8a36f17}" mode="4" >1</value>
<value id="{723b23c1-3f28-403e-965b-450582028bd3}" mode="4" >0</value>
<value id="{affffe64-f03c-49a6-aa31-1ecf432d1587}" mode="4" >0</value>
<value id="{0b5277bb-6006-49d5-b572-fbff78bb6f39}" mode="1" >3.00000000</value>
<value id="{4270dab0-6c57-4a21-9aa6-0300033d48b1}" mode="1" >10.00000000</value>
<value id="{8c997d83-c359-4d4d-8f18-819563675784}" mode="1" >0.00000000</value>
<value id="{cc138ebf-9d67-4f16-8607-f6bc05d91bb2}" mode="1" >0.00000000</value>
<value id="{c4aecd27-44ce-4695-addb-2b2475a85baa}" mode="1" >0.00000000</value>
<value id="{a70adfd0-4a59-4f96-b54d-604099ebec16}" mode="1" >0.00000000</value>
<value id="{aa2a6992-bc91-49f2-acd1-8d4585220105}" mode="1" >0.00000000</value>
<value id="{bd51b890-8a6b-484a-ba47-1ef433050f42}" mode="1" >0.00000000</value>
<value id="{16240760-bbfb-48f9-833b-e38bf972c1c2}" mode="1" >0.00000000</value>
<value id="{92fd231b-80a4-4166-b0d8-27cb1806b54e}" mode="1" >0.00000000</value>
<value id="{56ab712a-62d2-420e-bb36-3b798aa34737}" mode="1" >11.67512703</value>
<value id="{8368c8ca-998e-47a7-9048-ef8b1a3c3f67}" mode="1" >11.67512703</value>
<value id="{f60c60ed-83d9-4e38-ba29-c7b1ae592a09}" mode="1" >0.00000000</value>
<value id="{2cb41e02-76c2-4e9f-a84e-d0741a8ae129}" mode="1" >0.00000000</value>
<value id="{97ffd9d0-1848-402e-b4a0-7c7b729246d9}" mode="1" >22.95027161</value>
<value id="{d3ef35ed-3dd7-4717-aa05-a3d9a02770e9}" mode="1" >22.95027161</value>
<value id="{4439973b-b9e3-418c-9f65-10286ebdb234}" mode="1" >0.00000000</value>
<value id="{7b41861a-13c0-4df9-9a68-e4d803f74b6a}" mode="1" >0.00000000</value>
<value id="{d9d0f18e-ca95-46fa-9e1d-350d26566bca}" mode="1" >0.00000000</value>
<value id="{befdba9e-b1e3-4b3a-99e4-2b62f872adbd}" mode="1" >0.00000000</value>
<value id="{1e0721ff-7db3-4529-b47d-f93e9c034103}" mode="1" >0.00000000</value>
<value id="{101bc041-bffb-48a5-bec0-c8288ce3ffa6}" mode="1" >11.67512703</value>
<value id="{c8818d26-a895-41af-b4aa-26b984b4e5be}" mode="1" >0.00000000</value>
<value id="{e497b3e7-2769-438e-baa5-52314b8c1b96}" mode="1" >22.95027161</value>
<value id="{d7479eb3-bb8b-4740-930b-e7a73c493109}" mode="1" >0.00000000</value>
<value id="{0b102985-4e73-4be6-b834-2e5dd650c0f5}" mode="1" >65.37460327</value>
<value id="{4192a617-dc1b-481b-9180-758549ce08eb}" mode="1" >75.32467651</value>
<value id="{8b87a7c3-c4ac-4154-9e58-c5f371eb9868}" mode="1" >0.00000000</value>
<value id="{11a00acb-4e2f-4826-90d2-105e9a35b1ec}" mode="1" >0.00000000</value>
<value id="{e63d0d75-700c-43f2-90ad-e009a0523219}" mode="1" >0.00000000</value>
<value id="{feb94f86-e295-444f-b866-4b6ff735a5f0}" mode="1" >0.00000000</value>
<value id="{5c44b8a3-f19d-41ba-a5f3-88cbca200b2f}" mode="1" >0.00000000</value>
<value id="{4311b238-8c4d-40d7-80a3-74cdc796140b}" mode="1" >0.00000000</value>
<value id="{36fff836-1c99-428e-8283-56774a000871}" mode="1" >24.67532539</value>
<value id="{6b1f1f61-9400-4701-95c8-9bdaa3e4325b}" mode="1" >25.14840126</value>
<value id="{c674418e-63a6-4472-a3c3-112633fadfdc}" mode="1" >74.85160065</value>
<value id="{342a89d9-c2e1-429b-9384-51459f6c401a}" mode="1" >0.00000000</value>
<value id="{ca15cdbc-f751-4eb8-8752-7f7b56230ab1}" mode="1" >0.00000000</value>
<value id="{6861ac5d-0c85-472a-926d-1706054233db}" mode="1" >0.00000000</value>
<value id="{261e3faf-0638-421e-8941-f02778a3e5dc}" mode="1" >0.00000000</value>
<value id="{23e7f26a-de31-4637-bd11-8c4bf8e68fa9}" mode="1" >0.00000000</value>
<value id="{8ce17d41-20d1-456e-bc29-11c34804f969}" mode="1" >0.00000000</value>
<value id="{803ec5c6-52b1-4898-affa-a284f03667fd}" mode="1" >0.00000000</value>
<value id="{532e9f15-efe6-480c-8688-eee50a6d5fca}" mode="1" >24.71711540</value>
<value id="{1027c4ee-7693-44d8-a95d-e4fd6fdafb9b}" mode="1" >75.28288269</value>
<value id="{4bbeded6-6d55-46c7-83d8-1823d16a1f0e}" mode="1" >0.00000000</value>
<value id="{a05b1583-d874-475a-8f96-0d30a976fc07}" mode="1" >0.00000000</value>
<value id="{0ede25db-4141-4eaa-aa7d-cbfb72c5d053}" mode="1" >0.00000000</value>
<value id="{50de4831-91af-4669-bceb-9c65785eb3a3}" mode="1" >0.00000000</value>
<value id="{51c127d2-9b37-430a-9309-eff2d92b3c2a}" mode="1" >0.00000000</value>
<value id="{98d34283-3917-48ee-ac02-b02366fb7f8d}" mode="1" >0.00000000</value>
<value id="{4fe83d24-6722-4674-ba3c-e9566f61b2cd}" mode="1" >0.00000000</value>
<value id="{70fbef86-b273-44c7-9a9c-ad61b1c48a5e}" mode="1" >24.79954338</value>
<value id="{b5552009-1fcc-42f5-8807-d832d7c4df62}" mode="1" >75.20045471</value>
<value id="{76f45ee0-94c2-4bc3-b2bd-1f767421cde2}" mode="1" >0.00000000</value>
<value id="{d7cdbf2f-59d2-4eeb-9642-d41266d4ffd5}" mode="1" >0.00000000</value>
<value id="{f34ddc72-5f11-41d8-bbec-a34fae8b88b4}" mode="1" >0.00000000</value>
<value id="{7badb6aa-4b62-4a02-8fa4-e8e263b1fa5e}" mode="1" >0.00000000</value>
<value id="{56b09320-7979-4cf2-bcf3-f45d73083c3f}" mode="1" >0.00000000</value>
<value id="{30baf4b7-ab14-4be8-855f-5dd8e17d01da}" mode="1" >0.00000000</value>
<value id="{3c5d4499-3c38-4a83-8b5a-31123a5c63c8}" mode="1" >0.00000000</value>
<value id="{f81f31d8-2fbc-4377-9bad-1015b524b1dd}" mode="1" >24.95020866</value>
<value id="{3bae7ef6-bbdd-4d49-aea3-501ca8fef029}" mode="1" >75.04978943</value>
<value id="{1d7f02af-17d7-462e-81a8-3fd2703660ed}" mode="1" >0.00000000</value>
<value id="{d9586956-13ae-47c0-99b8-c1191260477a}" mode="1" >0.00000000</value>
<value id="{aa507390-f08b-42c5-a9ba-51392f9a6c55}" mode="1" >0.00000000</value>
<value id="{e256537b-407b-4656-89a8-d2d99b12576b}" mode="1" >1.00000000</value>
<value id="{e256537b-407b-4656-89a8-d2d99b12576b}" mode="4" >1</value>
<value id="{1b05c8d3-36bc-4176-8ff6-d61831b81cf7}" mode="4" >/Users/Russell/Desktop/Laptop Class/Csound/CsoundQTJam/cascade.txt</value>
<value id="{e2bd43d4-5401-4e75-8e76-5d1e11058e13}" mode="4" >/Users/Russell/Desktop/Laptop Class/Csound/CsoundQTJam/cascade.txt</value>
<value id="{94e8aa7d-3c30-4030-88f3-36056977b565}" mode="4" >0</value>
<value id="{038e6a3e-11c9-4acf-b8cf-01d77aa2358c}" mode="4" >0</value>
<value id="{c18f5ab5-6b84-48ae-ac11-41682d0beec4}" mode="4" ></value>
<value id="{cfe934b0-b32e-45e5-abd4-2c2be76c1c53}" mode="1" >0.00000000</value>
<value id="{caffc691-383d-469f-9f10-f7e86600fd74}" mode="1" >0.00000000</value>
<value id="{ee59ecc8-60bb-4930-acb8-165cb941dedf}" mode="1" >0.00000000</value>
<value id="{70e6432e-2fd4-47f6-8da2-b33b2c991cf1}" mode="1" >21.25228119</value>
<value id="{2bdce20f-1ece-4740-9cfa-b096af6958c7}" mode="1" >28.97342300</value>
<value id="{d1b81fb7-7dd1-4a7e-ba82-c39b5e9bcedf}" mode="1" >49.77429581</value>
<value id="{7c98479d-a862-48bf-91b9-45f52ecd5258}" mode="1" >0.00000000</value>
<value id="{b25cbdda-5d88-4df8-b841-4382bcfa75a5}" mode="1" >0.00000000</value>
<value id="{91d87643-6e00-4859-9247-8a5dab8982e6}" mode="1" >0.00000000</value>
<value id="{2869b132-60cd-41e4-a519-641356284818}" mode="1" >0.00000000</value>
<value id="{65dd0ed0-652d-4da8-a08f-ffa2b7457a14}" mode="1" >0.00000000</value>
<value id="{8d60ba81-351b-4adb-98a6-afe09c4d718b}" mode="1" >0.00000000</value>
<value id="{c44b6d31-6edb-4bb9-a245-664439354a95}" mode="1" >27.14854050</value>
<value id="{8d13c9f2-87af-44bf-acc9-fadd16a8a245}" mode="1" >33.53273010</value>
<value id="{2ec6280c-ba87-42c9-804f-a457b1373412}" mode="1" >39.31872940</value>
<value id="{c95c00fe-8100-4f60-b582-5e8f3031ea76}" mode="1" >0.00000000</value>
<value id="{846ef273-494f-4ebb-8b52-31b03c8052b4}" mode="1" >65.37460327</value>
<value id="{36c16e9d-9520-4372-89f2-a90d9e083ee6}" mode="1" >65.37460327</value>
<value id="{600cee6b-087e-4226-bb31-d05f5f76db0a}" mode="4" >0</value>
<value id="{cc5d220d-8011-4f81-985a-f8192347c821}" mode="1" >0.00000000</value>
<value id="{4af8bd18-4857-4015-9b2d-226f7d2bad0d}" mode="1" >5.00000000</value>
<value id="{e414741d-fe64-40d9-a6bd-3dd78cd96ac9}" mode="4" >0</value>
<value id="{64f7f810-9ed6-483d-9db1-9d55aba32d95}" mode="1" >0.00000000</value>
<value id="{980f257b-9946-482c-aa8b-f25d7d5b5248}" mode="1" >2.00000000</value>
<value id="{b394fa8d-bab7-4a5e-a09e-9fa7c50c532b}" mode="1" >4.00000000</value>
<value id="{e6647ae4-5368-4568-884f-e1b286c281db}" mode="1" >5.00000000</value>
<value id="{0e2ad110-80c9-4dd2-83a6-459a311bccb8}" mode="1" >7.00000000</value>
<value id="{23da2c40-743b-4e8f-89c7-4126ea12269b}" mode="1" >9.00000000</value>
<value id="{f24003a5-ca83-419f-ba78-8f2a2c5487a6}" mode="1" >10.00000000</value>
<value id="{4660390f-39d4-47cb-a87f-9f5427eec9e2}" mode="1" >12.00000000</value>
<value id="{a03501d8-4c2c-487c-8b85-f1692acf0830}" mode="1" >4.00000000</value>
<value id="{31b06ce3-1eb0-4445-99fc-eb8cceae41be}" mode="1" >0.00000000</value>
<value id="{4af513a0-47b9-4451-a48c-eb05c3917444}" mode="1" >1.00000000</value>
<value id="{4af513a0-47b9-4451-a48c-eb05c3917444}" mode="4" >1</value>
<value id="{082e11d0-9c6d-4fe8-9553-c3beb9057341}" mode="1" >0.86227542</value>
<value id="{0387ea68-56cf-4bee-ab50-4a6ea11ad1ba}" mode="1" >0.87425148</value>
<value id="{f0cbf3ac-9893-4224-8303-6c5dc385477b}" mode="1" >0.00000000</value>
<value id="{f0cbf3ac-9893-4224-8303-6c5dc385477b}" mode="4" ></value>
<value id="{07d21910-9bc7-4bf2-8e5b-122360f09d84}" mode="1" >1.00000000</value>
<value id="{f1ca065b-709b-496c-9c08-b489b7b8447a}" mode="1" >2.00000000</value>
<value id="{7ac14b40-5c69-4200-a990-bc0b7063a14a}" mode="1" >9.00000000</value>
<value id="{c3231885-e7f1-427d-870e-007082692373}" mode="1" >0.27000001</value>
<value id="{990dacf3-c66d-4810-98e4-3e0ff2ecbf5e}" mode="1" >0.27000001</value>
<value id="{990dacf3-c66d-4810-98e4-3e0ff2ecbf5e}" mode="4" >0.270</value>
<value id="{499d9b73-8f64-4ab4-b429-1ea6d207ab1b}" mode="1" >10.00000000</value>
<value id="{3669d19f-5171-42d5-a12d-b1285e74e6cd}" mode="1" >100.00000000</value>
<value id="{cff3f5b2-0561-4f1d-869d-d988ce083477}" mode="1" >0.00000000</value>
<value id="{a6af5306-b6fd-4127-8d01-66085c06d642}" mode="1" >1.00000000</value>
<value id="{e9aaf3e6-f1ae-47f1-9afe-7502614eed1f}" mode="4" >0</value>
<value id="{b6a95f90-7043-45f1-915a-3c34353ee469}" mode="1" >0.00000000</value>
</preset>
<preset name="Preset1" number="1" >
<value id="{c7fe1385-d8c6-4a98-9d7e-86aa43fee952}" mode="4" ></value>
<value id="{aa2a1096-5784-4689-8141-cf6c78b4c9a7}" mode="4" ></value>
<value id="{947c6c9f-85cf-4889-aad9-19bb74dfd854}" mode="4" ></value>
<value id="{03232f76-ee52-4fbc-82ed-b9c5bdb509a8}" mode="4" ></value>
<value id="{372927af-ac90-4ded-91d6-5707a63f4999}" mode="4" >0</value>
<value id="{0b6c93ca-4113-4732-9e59-1062622dddce}" mode="4" ></value>
<value id="{a1f77282-fb10-403a-8895-7fb308535aa4}" mode="4" ></value>
<value id="{578264f5-d4c7-449e-95a7-7e617c011a7e}" mode="4" >0</value>
<value id="{9d877e58-87e0-4e72-98ec-c6bcdbee3801}" mode="4" ></value>
<value id="{38d20a7c-6432-4f6c-a0a7-00917da432ea}" mode="4" ></value>
<value id="{586664fc-54e7-4a0f-9409-ef2b15676782}" mode="4" >0</value>
<value id="{aed33202-6b9c-4882-8451-e1f733d38b3c}" mode="4" >Total Beats: 229, Total Ticks: 918, Current Position: 21:10:38</value>
<value id="{f9ba8181-9b1d-4d6e-82dd-9565fbd2244e}" mode="1" >1.00000000</value>
<value id="{f9ba8181-9b1d-4d6e-82dd-9565fbd2244e}" mode="4" >1</value>
<value id="{ca2c4558-0f4f-413c-95b1-5782ff3a1a8a}" mode="1" >0.00000000</value>
<value id="{a333d1f6-60cc-4f0b-9faf-ab11f243806e}" mode="1" >100.00000000</value>
<value id="{a8d2753b-f215-41fc-990e-67d3b31a97fc}" mode="1" >100.00000000</value>
<value id="{fd5473b6-4659-4974-a72b-f6a43cc87868}" mode="1" >0.00000000</value>
<value id="{f63bfa28-6b1f-4f54-bebf-5512df86e29b}" mode="1" >0.00000000</value>
<value id="{f63bfa28-6b1f-4f54-bebf-5512df86e29b}" mode="4" ></value>
<value id="{eb20ae02-c1ae-41f2-afa9-b838e8a36f17}" mode="1" >1.00000000</value>
<value id="{eb20ae02-c1ae-41f2-afa9-b838e8a36f17}" mode="4" >1</value>
<value id="{723b23c1-3f28-403e-965b-450582028bd3}" mode="4" >0</value>
<value id="{affffe64-f03c-49a6-aa31-1ecf432d1587}" mode="4" >0</value>
<value id="{0b5277bb-6006-49d5-b572-fbff78bb6f39}" mode="1" >2.00000000</value>
<value id="{4270dab0-6c57-4a21-9aa6-0300033d48b1}" mode="1" >10.00000000</value>
<value id="{8c997d83-c359-4d4d-8f18-819563675784}" mode="1" >0.00000000</value>
<value id="{cc138ebf-9d67-4f16-8607-f6bc05d91bb2}" mode="1" >3.00000000</value>
<value id="{c4aecd27-44ce-4695-addb-2b2475a85baa}" mode="1" >0.00000000</value>
<value id="{a70adfd0-4a59-4f96-b54d-604099ebec16}" mode="1" >0.00000000</value>
<value id="{aa2a6992-bc91-49f2-acd1-8d4585220105}" mode="1" >24.71711540</value>
<value id="{bd51b890-8a6b-484a-ba47-1ef433050f42}" mode="1" >24.71711540</value>
<value id="{16240760-bbfb-48f9-833b-e38bf972c1c2}" mode="1" >75.28288269</value>
<value id="{92fd231b-80a4-4166-b0d8-27cb1806b54e}" mode="1" >75.28288269</value>
<value id="{56ab712a-62d2-420e-bb36-3b798aa34737}" mode="1" >0.00000000</value>
<value id="{8368c8ca-998e-47a7-9048-ef8b1a3c3f67}" mode="1" >0.00000000</value>
<value id="{f60c60ed-83d9-4e38-ba29-c7b1ae592a09}" mode="1" >0.00000000</value>
<value id="{2cb41e02-76c2-4e9f-a84e-d0741a8ae129}" mode="1" >0.00000000</value>
<value id="{97ffd9d0-1848-402e-b4a0-7c7b729246d9}" mode="1" >0.00000000</value>
<value id="{d3ef35ed-3dd7-4717-aa05-a3d9a02770e9}" mode="1" >0.00000000</value>
<value id="{4439973b-b9e3-418c-9f65-10286ebdb234}" mode="1" >0.00000000</value>
<value id="{7b41861a-13c0-4df9-9a68-e4d803f74b6a}" mode="1" >0.00000000</value>
<value id="{d9d0f18e-ca95-46fa-9e1d-350d26566bca}" mode="1" >0.00000000</value>
<value id="{befdba9e-b1e3-4b3a-99e4-2b62f872adbd}" mode="1" >0.00000000</value>
<value id="{1e0721ff-7db3-4529-b47d-f93e9c034103}" mode="1" >0.00000000</value>
<value id="{101bc041-bffb-48a5-bec0-c8288ce3ffa6}" mode="1" >11.67512703</value>
<value id="{c8818d26-a895-41af-b4aa-26b984b4e5be}" mode="1" >0.00000000</value>
<value id="{e497b3e7-2769-438e-baa5-52314b8c1b96}" mode="1" >22.95027161</value>
<value id="{d7479eb3-bb8b-4740-930b-e7a73c493109}" mode="1" >0.00000000</value>
<value id="{0b102985-4e73-4be6-b834-2e5dd650c0f5}" mode="1" >65.37460327</value>
<value id="{4192a617-dc1b-481b-9180-758549ce08eb}" mode="1" >75.32467651</value>
<value id="{8b87a7c3-c4ac-4154-9e58-c5f371eb9868}" mode="1" >0.00000000</value>
<value id="{11a00acb-4e2f-4826-90d2-105e9a35b1ec}" mode="1" >0.00000000</value>
<value id="{e63d0d75-700c-43f2-90ad-e009a0523219}" mode="1" >0.00000000</value>
<value id="{feb94f86-e295-444f-b866-4b6ff735a5f0}" mode="1" >0.00000000</value>
<value id="{5c44b8a3-f19d-41ba-a5f3-88cbca200b2f}" mode="1" >0.00000000</value>
<value id="{4311b238-8c4d-40d7-80a3-74cdc796140b}" mode="1" >0.00000000</value>
<value id="{36fff836-1c99-428e-8283-56774a000871}" mode="1" >24.67532539</value>
<value id="{6b1f1f61-9400-4701-95c8-9bdaa3e4325b}" mode="1" >25.14840126</value>
<value id="{c674418e-63a6-4472-a3c3-112633fadfdc}" mode="1" >74.85160065</value>
<value id="{342a89d9-c2e1-429b-9384-51459f6c401a}" mode="1" >0.00000000</value>
<value id="{ca15cdbc-f751-4eb8-8752-7f7b56230ab1}" mode="1" >0.00000000</value>
<value id="{6861ac5d-0c85-472a-926d-1706054233db}" mode="1" >0.00000000</value>
<value id="{261e3faf-0638-421e-8941-f02778a3e5dc}" mode="1" >0.00000000</value>
<value id="{23e7f26a-de31-4637-bd11-8c4bf8e68fa9}" mode="1" >0.00000000</value>
<value id="{8ce17d41-20d1-456e-bc29-11c34804f969}" mode="1" >0.00000000</value>
<value id="{803ec5c6-52b1-4898-affa-a284f03667fd}" mode="1" >0.00000000</value>
<value id="{532e9f15-efe6-480c-8688-eee50a6d5fca}" mode="1" >24.71711540</value>
<value id="{1027c4ee-7693-44d8-a95d-e4fd6fdafb9b}" mode="1" >75.28288269</value>
<value id="{4bbeded6-6d55-46c7-83d8-1823d16a1f0e}" mode="1" >0.00000000</value>
<value id="{a05b1583-d874-475a-8f96-0d30a976fc07}" mode="1" >0.00000000</value>
<value id="{0ede25db-4141-4eaa-aa7d-cbfb72c5d053}" mode="1" >0.00000000</value>
<value id="{50de4831-91af-4669-bceb-9c65785eb3a3}" mode="1" >0.00000000</value>
<value id="{51c127d2-9b37-430a-9309-eff2d92b3c2a}" mode="1" >0.00000000</value>
<value id="{98d34283-3917-48ee-ac02-b02366fb7f8d}" mode="1" >0.00000000</value>
<value id="{4fe83d24-6722-4674-ba3c-e9566f61b2cd}" mode="1" >0.00000000</value>
<value id="{70fbef86-b273-44c7-9a9c-ad61b1c48a5e}" mode="1" >24.79954338</value>
<value id="{b5552009-1fcc-42f5-8807-d832d7c4df62}" mode="1" >75.20045471</value>
<value id="{76f45ee0-94c2-4bc3-b2bd-1f767421cde2}" mode="1" >0.00000000</value>
<value id="{d7cdbf2f-59d2-4eeb-9642-d41266d4ffd5}" mode="1" >0.00000000</value>
<value id="{f34ddc72-5f11-41d8-bbec-a34fae8b88b4}" mode="1" >0.00000000</value>
<value id="{7badb6aa-4b62-4a02-8fa4-e8e263b1fa5e}" mode="1" >0.00000000</value>
<value id="{56b09320-7979-4cf2-bcf3-f45d73083c3f}" mode="1" >0.00000000</value>
<value id="{30baf4b7-ab14-4be8-855f-5dd8e17d01da}" mode="1" >0.00000000</value>
<value id="{3c5d4499-3c38-4a83-8b5a-31123a5c63c8}" mode="1" >0.00000000</value>
<value id="{f81f31d8-2fbc-4377-9bad-1015b524b1dd}" mode="1" >24.95020866</value>
<value id="{3bae7ef6-bbdd-4d49-aea3-501ca8fef029}" mode="1" >75.04978943</value>
<value id="{1d7f02af-17d7-462e-81a8-3fd2703660ed}" mode="1" >0.00000000</value>
<value id="{d9586956-13ae-47c0-99b8-c1191260477a}" mode="1" >0.00000000</value>
<value id="{aa507390-f08b-42c5-a9ba-51392f9a6c55}" mode="1" >0.00000000</value>
<value id="{e256537b-407b-4656-89a8-d2d99b12576b}" mode="1" >1.00000000</value>
<value id="{e256537b-407b-4656-89a8-d2d99b12576b}" mode="4" >1</value>
<value id="{1b05c8d3-36bc-4176-8ff6-d61831b81cf7}" mode="4" >/Users/Russell/Desktop/Laptop Class/Csound/CsoundQTJam/cascade.txt</value>
<value id="{e2bd43d4-5401-4e75-8e76-5d1e11058e13}" mode="4" >/Users/Russell/Desktop/Laptop Class/Csound/CsoundQTJam/cascade.txt</value>
<value id="{94e8aa7d-3c30-4030-88f3-36056977b565}" mode="4" >0</value>
<value id="{038e6a3e-11c9-4acf-b8cf-01d77aa2358c}" mode="4" >0</value>
<value id="{c18f5ab5-6b84-48ae-ac11-41682d0beec4}" mode="4" ></value>
<value id="{cfe934b0-b32e-45e5-abd4-2c2be76c1c53}" mode="1" >0.00000000</value>
<value id="{caffc691-383d-469f-9f10-f7e86600fd74}" mode="1" >0.00000000</value>
<value id="{ee59ecc8-60bb-4930-acb8-165cb941dedf}" mode="1" >0.00000000</value>
<value id="{70e6432e-2fd4-47f6-8da2-b33b2c991cf1}" mode="1" >21.25228119</value>
<value id="{2bdce20f-1ece-4740-9cfa-b096af6958c7}" mode="1" >28.97342300</value>
<value id="{d1b81fb7-7dd1-4a7e-ba82-c39b5e9bcedf}" mode="1" >49.77429581</value>
<value id="{7c98479d-a862-48bf-91b9-45f52ecd5258}" mode="1" >0.00000000</value>
<value id="{b25cbdda-5d88-4df8-b841-4382bcfa75a5}" mode="1" >0.00000000</value>
<value id="{91d87643-6e00-4859-9247-8a5dab8982e6}" mode="1" >0.00000000</value>
<value id="{2869b132-60cd-41e4-a519-641356284818}" mode="1" >0.00000000</value>
<value id="{65dd0ed0-652d-4da8-a08f-ffa2b7457a14}" mode="1" >0.00000000</value>
<value id="{8d60ba81-351b-4adb-98a6-afe09c4d718b}" mode="1" >0.00000000</value>
<value id="{c44b6d31-6edb-4bb9-a245-664439354a95}" mode="1" >27.14854050</value>
<value id="{8d13c9f2-87af-44bf-acc9-fadd16a8a245}" mode="1" >33.53273010</value>
<value id="{2ec6280c-ba87-42c9-804f-a457b1373412}" mode="1" >39.31872940</value>
<value id="{c95c00fe-8100-4f60-b582-5e8f3031ea76}" mode="1" >0.00000000</value>
<value id="{846ef273-494f-4ebb-8b52-31b03c8052b4}" mode="1" >0.00000000</value>
<value id="{36c16e9d-9520-4372-89f2-a90d9e083ee6}" mode="1" >0.00000000</value>
<value id="{600cee6b-087e-4226-bb31-d05f5f76db0a}" mode="4" >0</value>
<value id="{cc5d220d-8011-4f81-985a-f8192347c821}" mode="1" >0.00000000</value>
<value id="{4af8bd18-4857-4015-9b2d-226f7d2bad0d}" mode="1" >5.00000000</value>
<value id="{e414741d-fe64-40d9-a6bd-3dd78cd96ac9}" mode="4" >0</value>
<value id="{64f7f810-9ed6-483d-9db1-9d55aba32d95}" mode="1" >0.00000000</value>
<value id="{980f257b-9946-482c-aa8b-f25d7d5b5248}" mode="1" >2.00000000</value>
<value id="{b394fa8d-bab7-4a5e-a09e-9fa7c50c532b}" mode="1" >4.00000000</value>
<value id="{e6647ae4-5368-4568-884f-e1b286c281db}" mode="1" >5.00000000</value>
<value id="{0e2ad110-80c9-4dd2-83a6-459a311bccb8}" mode="1" >7.00000000</value>
<value id="{23da2c40-743b-4e8f-89c7-4126ea12269b}" mode="1" >9.00000000</value>
<value id="{f24003a5-ca83-419f-ba78-8f2a2c5487a6}" mode="1" >10.00000000</value>
<value id="{4660390f-39d4-47cb-a87f-9f5427eec9e2}" mode="1" >12.00000000</value>
<value id="{a03501d8-4c2c-487c-8b85-f1692acf0830}" mode="1" >4.00000000</value>
<value id="{31b06ce3-1eb0-4445-99fc-eb8cceae41be}" mode="1" >0.00000000</value>
<value id="{4af513a0-47b9-4451-a48c-eb05c3917444}" mode="1" >1.00000000</value>
<value id="{4af513a0-47b9-4451-a48c-eb05c3917444}" mode="4" >1</value>
<value id="{082e11d0-9c6d-4fe8-9553-c3beb9057341}" mode="1" >0.86227542</value>
<value id="{0387ea68-56cf-4bee-ab50-4a6ea11ad1ba}" mode="1" >0.87425148</value>
<value id="{f0cbf3ac-9893-4224-8303-6c5dc385477b}" mode="1" >0.00000000</value>
<value id="{f0cbf3ac-9893-4224-8303-6c5dc385477b}" mode="4" ></value>
<value id="{07d21910-9bc7-4bf2-8e5b-122360f09d84}" mode="1" >1.00000000</value>
<value id="{f1ca065b-709b-496c-9c08-b489b7b8447a}" mode="1" >2.00000000</value>
<value id="{7ac14b40-5c69-4200-a990-bc0b7063a14a}" mode="1" >9.00000000</value>
<value id="{c3231885-e7f1-427d-870e-007082692373}" mode="1" >0.27000001</value>
<value id="{990dacf3-c66d-4810-98e4-3e0ff2ecbf5e}" mode="1" >0.27000001</value>
<value id="{990dacf3-c66d-4810-98e4-3e0ff2ecbf5e}" mode="4" >0.270</value>
<value id="{499d9b73-8f64-4ab4-b429-1ea6d207ab1b}" mode="1" >10.00000000</value>
<value id="{3669d19f-5171-42d5-a12d-b1285e74e6cd}" mode="1" >100.00000000</value>
<value id="{cff3f5b2-0561-4f1d-869d-d988ce083477}" mode="1" >0.00000000</value>
<value id="{a6af5306-b6fd-4127-8d01-66085c06d642}" mode="1" >1.00000000</value>
<value id="{e9aaf3e6-f1ae-47f1-9afe-7502614eed1f}" mode="4" >0</value>
<value id="{b6a95f90-7043-45f1-915a-3c34353ee469}" mode="1" >0.00000000</value>
</preset>
<preset name="FourFour" number="2" >
<value id="{c7fe1385-d8c6-4a98-9d7e-86aa43fee952}" mode="4" ></value>
<value id="{aa2a1096-5784-4689-8141-cf6c78b4c9a7}" mode="4" ></value>
<value id="{947c6c9f-85cf-4889-aad9-19bb74dfd854}" mode="4" ></value>
<value id="{03232f76-ee52-4fbc-82ed-b9c5bdb509a8}" mode="4" ></value>
<value id="{372927af-ac90-4ded-91d6-5707a63f4999}" mode="4" >0</value>
<value id="{0b6c93ca-4113-4732-9e59-1062622dddce}" mode="4" ></value>
<value id="{a1f77282-fb10-403a-8895-7fb308535aa4}" mode="4" ></value>
<value id="{578264f5-d4c7-449e-95a7-7e617c011a7e}" mode="4" >0</value>
<value id="{9d877e58-87e0-4e72-98ec-c6bcdbee3801}" mode="4" ></value>
<value id="{38d20a7c-6432-4f6c-a0a7-00917da432ea}" mode="4" ></value>
<value id="{586664fc-54e7-4a0f-9409-ef2b15676782}" mode="4" >0</value>
<value id="{aed33202-6b9c-4882-8451-e1f733d38b3c}" mode="4" >Total Beats: 368, Total Ticks: 1472, Current Position: 93:1:0</value>
<value id="{f9ba8181-9b1d-4d6e-82dd-9565fbd2244e}" mode="1" >1.00000000</value>
<value id="{f9ba8181-9b1d-4d6e-82dd-9565fbd2244e}" mode="4" >1</value>
<value id="{ca2c4558-0f4f-413c-95b1-5782ff3a1a8a}" mode="1" >0.00000000</value>
<value id="{a333d1f6-60cc-4f0b-9faf-ab11f243806e}" mode="1" >100.00000000</value>
<value id="{a8d2753b-f215-41fc-990e-67d3b31a97fc}" mode="1" >100.00000000</value>
<value id="{fd5473b6-4659-4974-a72b-f6a43cc87868}" mode="1" >0.00000000</value>
<value id="{f63bfa28-6b1f-4f54-bebf-5512df86e29b}" mode="1" >0.00000000</value>
<value id="{f63bfa28-6b1f-4f54-bebf-5512df86e29b}" mode="4" ></value>
<value id="{eb20ae02-c1ae-41f2-afa9-b838e8a36f17}" mode="1" >1.00000000</value>
<value id="{eb20ae02-c1ae-41f2-afa9-b838e8a36f17}" mode="4" >1</value>
<value id="{723b23c1-3f28-403e-965b-450582028bd3}" mode="4" >0</value>
<value id="{affffe64-f03c-49a6-aa31-1ecf432d1587}" mode="4" >0</value>
<value id="{0b5277bb-6006-49d5-b572-fbff78bb6f39}" mode="1" >2.00000000</value>
<value id="{4270dab0-6c57-4a21-9aa6-0300033d48b1}" mode="1" >3.00000000</value>
<value id="{8c997d83-c359-4d4d-8f18-819563675784}" mode="1" >0.00000000</value>
<value id="{cc138ebf-9d67-4f16-8607-f6bc05d91bb2}" mode="1" >3.00000000</value>
<value id="{c4aecd27-44ce-4695-addb-2b2475a85baa}" mode="1" >0.00000000</value>
<value id="{a70adfd0-4a59-4f96-b54d-604099ebec16}" mode="1" >0.00000000</value>
<value id="{aa2a6992-bc91-49f2-acd1-8d4585220105}" mode="1" >24.71711540</value>
<value id="{bd51b890-8a6b-484a-ba47-1ef433050f42}" mode="1" >24.71711540</value>
<value id="{16240760-bbfb-48f9-833b-e38bf972c1c2}" mode="1" >75.28288269</value>
<value id="{92fd231b-80a4-4166-b0d8-27cb1806b54e}" mode="1" >75.28288269</value>
<value id="{56ab712a-62d2-420e-bb36-3b798aa34737}" mode="1" >0.00000000</value>
<value id="{8368c8ca-998e-47a7-9048-ef8b1a3c3f67}" mode="1" >0.00000000</value>
<value id="{f60c60ed-83d9-4e38-ba29-c7b1ae592a09}" mode="1" >0.00000000</value>
<value id="{2cb41e02-76c2-4e9f-a84e-d0741a8ae129}" mode="1" >0.00000000</value>
<value id="{97ffd9d0-1848-402e-b4a0-7c7b729246d9}" mode="1" >0.00000000</value>
<value id="{d3ef35ed-3dd7-4717-aa05-a3d9a02770e9}" mode="1" >0.00000000</value>
<value id="{4439973b-b9e3-418c-9f65-10286ebdb234}" mode="1" >0.00000000</value>
<value id="{7b41861a-13c0-4df9-9a68-e4d803f74b6a}" mode="1" >0.00000000</value>
<value id="{d9d0f18e-ca95-46fa-9e1d-350d26566bca}" mode="1" >0.00000000</value>
<value id="{befdba9e-b1e3-4b3a-99e4-2b62f872adbd}" mode="1" >0.00000000</value>
<value id="{1e0721ff-7db3-4529-b47d-f93e9c034103}" mode="1" >0.00000000</value>
<value id="{101bc041-bffb-48a5-bec0-c8288ce3ffa6}" mode="1" >11.67512703</value>
<value id="{c8818d26-a895-41af-b4aa-26b984b4e5be}" mode="1" >0.00000000</value>
<value id="{e497b3e7-2769-438e-baa5-52314b8c1b96}" mode="1" >22.95027161</value>
<value id="{d7479eb3-bb8b-4740-930b-e7a73c493109}" mode="1" >0.00000000</value>
<value id="{0b102985-4e73-4be6-b834-2e5dd650c0f5}" mode="1" >65.37460327</value>
<value id="{4192a617-dc1b-481b-9180-758549ce08eb}" mode="1" >75.32467651</value>
<value id="{8b87a7c3-c4ac-4154-9e58-c5f371eb9868}" mode="1" >0.00000000</value>
<value id="{11a00acb-4e2f-4826-90d2-105e9a35b1ec}" mode="1" >0.00000000</value>
<value id="{e63d0d75-700c-43f2-90ad-e009a0523219}" mode="1" >0.00000000</value>
<value id="{feb94f86-e295-444f-b866-4b6ff735a5f0}" mode="1" >0.00000000</value>
<value id="{5c44b8a3-f19d-41ba-a5f3-88cbca200b2f}" mode="1" >0.00000000</value>
<value id="{4311b238-8c4d-40d7-80a3-74cdc796140b}" mode="1" >0.00000000</value>
<value id="{36fff836-1c99-428e-8283-56774a000871}" mode="1" >24.67532539</value>
<value id="{6b1f1f61-9400-4701-95c8-9bdaa3e4325b}" mode="1" >25.14840126</value>
<value id="{c674418e-63a6-4472-a3c3-112633fadfdc}" mode="1" >74.85160065</value>
<value id="{342a89d9-c2e1-429b-9384-51459f6c401a}" mode="1" >0.00000000</value>
<value id="{ca15cdbc-f751-4eb8-8752-7f7b56230ab1}" mode="1" >0.00000000</value>
<value id="{6861ac5d-0c85-472a-926d-1706054233db}" mode="1" >0.00000000</value>
<value id="{261e3faf-0638-421e-8941-f02778a3e5dc}" mode="1" >0.00000000</value>
<value id="{23e7f26a-de31-4637-bd11-8c4bf8e68fa9}" mode="1" >0.00000000</value>
<value id="{8ce17d41-20d1-456e-bc29-11c34804f969}" mode="1" >0.00000000</value>
<value id="{803ec5c6-52b1-4898-affa-a284f03667fd}" mode="1" >0.00000000</value>
<value id="{532e9f15-efe6-480c-8688-eee50a6d5fca}" mode="1" >24.71711540</value>
<value id="{1027c4ee-7693-44d8-a95d-e4fd6fdafb9b}" mode="1" >75.28288269</value>
<value id="{4bbeded6-6d55-46c7-83d8-1823d16a1f0e}" mode="1" >0.00000000</value>
<value id="{a05b1583-d874-475a-8f96-0d30a976fc07}" mode="1" >0.00000000</value>
<value id="{0ede25db-4141-4eaa-aa7d-cbfb72c5d053}" mode="1" >0.00000000</value>
<value id="{50de4831-91af-4669-bceb-9c65785eb3a3}" mode="1" >0.00000000</value>
<value id="{51c127d2-9b37-430a-9309-eff2d92b3c2a}" mode="1" >0.00000000</value>
<value id="{98d34283-3917-48ee-ac02-b02366fb7f8d}" mode="1" >0.00000000</value>
<value id="{4fe83d24-6722-4674-ba3c-e9566f61b2cd}" mode="1" >0.00000000</value>
<value id="{70fbef86-b273-44c7-9a9c-ad61b1c48a5e}" mode="1" >24.79954338</value>
<value id="{b5552009-1fcc-42f5-8807-d832d7c4df62}" mode="1" >75.20045471</value>
<value id="{76f45ee0-94c2-4bc3-b2bd-1f767421cde2}" mode="1" >0.00000000</value>
<value id="{d7cdbf2f-59d2-4eeb-9642-d41266d4ffd5}" mode="1" >0.00000000</value>
<value id="{f34ddc72-5f11-41d8-bbec-a34fae8b88b4}" mode="1" >0.00000000</value>
<value id="{7badb6aa-4b62-4a02-8fa4-e8e263b1fa5e}" mode="1" >0.00000000</value>
<value id="{56b09320-7979-4cf2-bcf3-f45d73083c3f}" mode="1" >0.00000000</value>
<value id="{30baf4b7-ab14-4be8-855f-5dd8e17d01da}" mode="1" >0.00000000</value>
<value id="{3c5d4499-3c38-4a83-8b5a-31123a5c63c8}" mode="1" >0.00000000</value>
<value id="{f81f31d8-2fbc-4377-9bad-1015b524b1dd}" mode="1" >24.95020866</value>
<value id="{3bae7ef6-bbdd-4d49-aea3-501ca8fef029}" mode="1" >75.04978943</value>
<value id="{1d7f02af-17d7-462e-81a8-3fd2703660ed}" mode="1" >0.00000000</value>
<value id="{d9586956-13ae-47c0-99b8-c1191260477a}" mode="1" >0.00000000</value>
<value id="{aa507390-f08b-42c5-a9ba-51392f9a6c55}" mode="1" >0.00000000</value>
<value id="{e256537b-407b-4656-89a8-d2d99b12576b}" mode="1" >1.00000000</value>
<value id="{e256537b-407b-4656-89a8-d2d99b12576b}" mode="4" >1</value>
<value id="{1b05c8d3-36bc-4176-8ff6-d61831b81cf7}" mode="4" >/Users/Russell/Desktop/Laptop Class/Csound/CsoundQTJam/cascade.txt</value>
<value id="{e2bd43d4-5401-4e75-8e76-5d1e11058e13}" mode="4" >/Users/Russell/Desktop/Laptop Class/Csound/CsoundQTJam/cascade.txt</value>
<value id="{94e8aa7d-3c30-4030-88f3-36056977b565}" mode="4" >0</value>
<value id="{038e6a3e-11c9-4acf-b8cf-01d77aa2358c}" mode="4" >0</value>
<value id="{c18f5ab5-6b84-48ae-ac11-41682d0beec4}" mode="4" ></value>
<value id="{cfe934b0-b32e-45e5-abd4-2c2be76c1c53}" mode="1" >0.00000000</value>
<value id="{caffc691-383d-469f-9f10-f7e86600fd74}" mode="1" >0.00000000</value>
<value id="{ee59ecc8-60bb-4930-acb8-165cb941dedf}" mode="1" >0.00000000</value>
<value id="{70e6432e-2fd4-47f6-8da2-b33b2c991cf1}" mode="1" >21.25228119</value>
<value id="{2bdce20f-1ece-4740-9cfa-b096af6958c7}" mode="1" >28.97342300</value>
<value id="{d1b81fb7-7dd1-4a7e-ba82-c39b5e9bcedf}" mode="1" >49.77429581</value>
<value id="{7c98479d-a862-48bf-91b9-45f52ecd5258}" mode="1" >0.00000000</value>
<value id="{b25cbdda-5d88-4df8-b841-4382bcfa75a5}" mode="1" >0.00000000</value>
<value id="{91d87643-6e00-4859-9247-8a5dab8982e6}" mode="1" >0.00000000</value>
<value id="{2869b132-60cd-41e4-a519-641356284818}" mode="1" >0.00000000</value>
<value id="{65dd0ed0-652d-4da8-a08f-ffa2b7457a14}" mode="1" >0.00000000</value>
<value id="{8d60ba81-351b-4adb-98a6-afe09c4d718b}" mode="1" >0.00000000</value>
<value id="{c44b6d31-6edb-4bb9-a245-664439354a95}" mode="1" >27.14854050</value>
<value id="{8d13c9f2-87af-44bf-acc9-fadd16a8a245}" mode="1" >33.53273010</value>
<value id="{2ec6280c-ba87-42c9-804f-a457b1373412}" mode="1" >39.31872940</value>
<value id="{c95c00fe-8100-4f60-b582-5e8f3031ea76}" mode="1" >0.00000000</value>
<value id="{846ef273-494f-4ebb-8b52-31b03c8052b4}" mode="1" >0.00000000</value>
<value id="{36c16e9d-9520-4372-89f2-a90d9e083ee6}" mode="1" >0.00000000</value>
<value id="{600cee6b-087e-4226-bb31-d05f5f76db0a}" mode="4" >0</value>
<value id="{cc5d220d-8011-4f81-985a-f8192347c821}" mode="1" >0.00000000</value>
<value id="{4af8bd18-4857-4015-9b2d-226f7d2bad0d}" mode="1" >5.00000000</value>
<value id="{e414741d-fe64-40d9-a6bd-3dd78cd96ac9}" mode="4" >0</value>
<value id="{64f7f810-9ed6-483d-9db1-9d55aba32d95}" mode="1" >0.00000000</value>
<value id="{980f257b-9946-482c-aa8b-f25d7d5b5248}" mode="1" >2.00000000</value>
<value id="{b394fa8d-bab7-4a5e-a09e-9fa7c50c532b}" mode="1" >4.00000000</value>
<value id="{e6647ae4-5368-4568-884f-e1b286c281db}" mode="1" >5.00000000</value>
<value id="{0e2ad110-80c9-4dd2-83a6-459a311bccb8}" mode="1" >7.00000000</value>
<value id="{23da2c40-743b-4e8f-89c7-4126ea12269b}" mode="1" >9.00000000</value>
<value id="{f24003a5-ca83-419f-ba78-8f2a2c5487a6}" mode="1" >10.00000000</value>
<value id="{4660390f-39d4-47cb-a87f-9f5427eec9e2}" mode="1" >12.00000000</value>
<value id="{a03501d8-4c2c-487c-8b85-f1692acf0830}" mode="1" >4.00000000</value>
<value id="{31b06ce3-1eb0-4445-99fc-eb8cceae41be}" mode="1" >3.00000000</value>
<value id="{4af513a0-47b9-4451-a48c-eb05c3917444}" mode="1" >1.00000000</value>
<value id="{4af513a0-47b9-4451-a48c-eb05c3917444}" mode="4" >1</value>
<value id="{082e11d0-9c6d-4fe8-9553-c3beb9057341}" mode="1" >0.86227542</value>
<value id="{0387ea68-56cf-4bee-ab50-4a6ea11ad1ba}" mode="1" >0.87425148</value>
<value id="{f0cbf3ac-9893-4224-8303-6c5dc385477b}" mode="1" >0.00000000</value>
<value id="{f0cbf3ac-9893-4224-8303-6c5dc385477b}" mode="4" ></value>
<value id="{07d21910-9bc7-4bf2-8e5b-122360f09d84}" mode="1" >1.00000000</value>
<value id="{f1ca065b-709b-496c-9c08-b489b7b8447a}" mode="1" >2.00000000</value>
<value id="{7ac14b40-5c69-4200-a990-bc0b7063a14a}" mode="1" >9.00000000</value>
<value id="{c3231885-e7f1-427d-870e-007082692373}" mode="1" >0.27000001</value>
<value id="{990dacf3-c66d-4810-98e4-3e0ff2ecbf5e}" mode="1" >0.27000001</value>
<value id="{990dacf3-c66d-4810-98e4-3e0ff2ecbf5e}" mode="4" >0.270</value>
<value id="{499d9b73-8f64-4ab4-b429-1ea6d207ab1b}" mode="1" >10.00000000</value>
<value id="{3669d19f-5171-42d5-a12d-b1285e74e6cd}" mode="1" >50.00000000</value>
<value id="{cff3f5b2-0561-4f1d-869d-d988ce083477}" mode="1" >3.00000000</value>
<value id="{a6af5306-b6fd-4127-8d01-66085c06d642}" mode="1" >1.00000000</value>
<value id="{e9aaf3e6-f1ae-47f1-9afe-7502614eed1f}" mode="4" >0</value>
<value id="{b6a95f90-7043-45f1-915a-3c34353ee469}" mode="1" >0.00000000</value>
</preset>
<preset name="HasIPs" number="3" >
<value id="{c7fe1385-d8c6-4a98-9d7e-86aa43fee952}" mode="4" ></value>
<value id="{aa2a1096-5784-4689-8141-cf6c78b4c9a7}" mode="4" ></value>
<value id="{947c6c9f-85cf-4889-aad9-19bb74dfd854}" mode="4" ></value>
<value id="{03232f76-ee52-4fbc-82ed-b9c5bdb509a8}" mode="4" ></value>
<value id="{372927af-ac90-4ded-91d6-5707a63f4999}" mode="4" >0</value>
<value id="{0b6c93ca-4113-4732-9e59-1062622dddce}" mode="4" >192.168.1.75</value>
<value id="{a1f77282-fb10-403a-8895-7fb308535aa4}" mode="4" >macpro</value>
<value id="{578264f5-d4c7-449e-95a7-7e617c011a7e}" mode="4" >0</value>
<value id="{9d877e58-87e0-4e72-98ec-c6bcdbee3801}" mode="4" >192.168.1.75</value>
<value id="{38d20a7c-6432-4f6c-a0a7-00917da432ea}" mode="4" ></value>
<value id="{586664fc-54e7-4a0f-9409-ef2b15676782}" mode="4" >0</value>
<value id="{aed33202-6b9c-4882-8451-e1f733d38b3c}" mode="4" >Total Beats: 446, Total Ticks: 2679, Current Position: 41:7:39</value>
<value id="{f9ba8181-9b1d-4d6e-82dd-9565fbd2244e}" mode="1" >1.00000000</value>
<value id="{f9ba8181-9b1d-4d6e-82dd-9565fbd2244e}" mode="4" >1</value>
<value id="{ca2c4558-0f4f-413c-95b1-5782ff3a1a8a}" mode="1" >0.00000000</value>
<value id="{a333d1f6-60cc-4f0b-9faf-ab11f243806e}" mode="1" >70.00000000</value>
<value id="{a8d2753b-f215-41fc-990e-67d3b31a97fc}" mode="1" >70.00000000</value>
<value id="{fd5473b6-4659-4974-a72b-f6a43cc87868}" mode="1" >0.00000000</value>
<value id="{f63bfa28-6b1f-4f54-bebf-5512df86e29b}" mode="1" >0.00000000</value>
<value id="{f63bfa28-6b1f-4f54-bebf-5512df86e29b}" mode="4" ></value>
<value id="{eb20ae02-c1ae-41f2-afa9-b838e8a36f17}" mode="1" >1.00000000</value>
<value id="{eb20ae02-c1ae-41f2-afa9-b838e8a36f17}" mode="4" >1</value>
<value id="{723b23c1-3f28-403e-965b-450582028bd3}" mode="4" >0</value>
<value id="{affffe64-f03c-49a6-aa31-1ecf432d1587}" mode="4" >0</value>
<value id="{0b5277bb-6006-49d5-b572-fbff78bb6f39}" mode="1" >3.00000000</value>
<value id="{4270dab0-6c57-4a21-9aa6-0300033d48b1}" mode="1" >10.00000000</value>
<value id="{8c997d83-c359-4d4d-8f18-819563675784}" mode="1" >0.00000000</value>
<value id="{cc138ebf-9d67-4f16-8607-f6bc05d91bb2}" mode="1" >0.00000000</value>
<value id="{c4aecd27-44ce-4695-addb-2b2475a85baa}" mode="1" >0.00000000</value>
<value id="{a70adfd0-4a59-4f96-b54d-604099ebec16}" mode="1" >0.00000000</value>
<value id="{aa2a6992-bc91-49f2-acd1-8d4585220105}" mode="1" >0.00000000</value>
<value id="{bd51b890-8a6b-484a-ba47-1ef433050f42}" mode="1" >0.00000000</value>
<value id="{16240760-bbfb-48f9-833b-e38bf972c1c2}" mode="1" >0.00000000</value>
<value id="{92fd231b-80a4-4166-b0d8-27cb1806b54e}" mode="1" >0.00000000</value>
<value id="{56ab712a-62d2-420e-bb36-3b798aa34737}" mode="1" >11.67512703</value>
<value id="{8368c8ca-998e-47a7-9048-ef8b1a3c3f67}" mode="1" >11.67512703</value>
<value id="{f60c60ed-83d9-4e38-ba29-c7b1ae592a09}" mode="1" >0.00000000</value>
<value id="{2cb41e02-76c2-4e9f-a84e-d0741a8ae129}" mode="1" >0.00000000</value>
<value id="{97ffd9d0-1848-402e-b4a0-7c7b729246d9}" mode="1" >22.95027161</value>
<value id="{d3ef35ed-3dd7-4717-aa05-a3d9a02770e9}" mode="1" >22.95027161</value>
<value id="{4439973b-b9e3-418c-9f65-10286ebdb234}" mode="1" >0.00000000</value>
<value id="{7b41861a-13c0-4df9-9a68-e4d803f74b6a}" mode="1" >0.00000000</value>
<value id="{d9d0f18e-ca95-46fa-9e1d-350d26566bca}" mode="1" >0.00000000</value>
<value id="{befdba9e-b1e3-4b3a-99e4-2b62f872adbd}" mode="1" >0.00000000</value>
<value id="{1e0721ff-7db3-4529-b47d-f93e9c034103}" mode="1" >0.00000000</value>
<value id="{101bc041-bffb-48a5-bec0-c8288ce3ffa6}" mode="1" >11.67512703</value>
<value id="{c8818d26-a895-41af-b4aa-26b984b4e5be}" mode="1" >0.00000000</value>
<value id="{e497b3e7-2769-438e-baa5-52314b8c1b96}" mode="1" >22.95027161</value>
<value id="{d7479eb3-bb8b-4740-930b-e7a73c493109}" mode="1" >0.00000000</value>
<value id="{0b102985-4e73-4be6-b834-2e5dd650c0f5}" mode="1" >65.37460327</value>
<value id="{4192a617-dc1b-481b-9180-758549ce08eb}" mode="1" >75.32467651</value>
<value id="{8b87a7c3-c4ac-4154-9e58-c5f371eb9868}" mode="1" >0.00000000</value>
<value id="{11a00acb-4e2f-4826-90d2-105e9a35b1ec}" mode="1" >0.00000000</value>
<value id="{e63d0d75-700c-43f2-90ad-e009a0523219}" mode="1" >0.00000000</value>
<value id="{feb94f86-e295-444f-b866-4b6ff735a5f0}" mode="1" >0.00000000</value>
<value id="{5c44b8a3-f19d-41ba-a5f3-88cbca200b2f}" mode="1" >0.00000000</value>
<value id="{4311b238-8c4d-40d7-80a3-74cdc796140b}" mode="1" >0.00000000</value>
<value id="{36fff836-1c99-428e-8283-56774a000871}" mode="1" >24.67532539</value>
<value id="{6b1f1f61-9400-4701-95c8-9bdaa3e4325b}" mode="1" >25.14840126</value>
<value id="{c674418e-63a6-4472-a3c3-112633fadfdc}" mode="1" >74.85160065</value>
<value id="{342a89d9-c2e1-429b-9384-51459f6c401a}" mode="1" >0.00000000</value>
<value id="{ca15cdbc-f751-4eb8-8752-7f7b56230ab1}" mode="1" >0.00000000</value>
<value id="{6861ac5d-0c85-472a-926d-1706054233db}" mode="1" >0.00000000</value>
<value id="{261e3faf-0638-421e-8941-f02778a3e5dc}" mode="1" >0.00000000</value>
<value id="{23e7f26a-de31-4637-bd11-8c4bf8e68fa9}" mode="1" >0.00000000</value>
<value id="{8ce17d41-20d1-456e-bc29-11c34804f969}" mode="1" >0.00000000</value>
<value id="{803ec5c6-52b1-4898-affa-a284f03667fd}" mode="1" >0.00000000</value>
<value id="{532e9f15-efe6-480c-8688-eee50a6d5fca}" mode="1" >24.71711540</value>
<value id="{1027c4ee-7693-44d8-a95d-e4fd6fdafb9b}" mode="1" >75.28288269</value>
<value id="{4bbeded6-6d55-46c7-83d8-1823d16a1f0e}" mode="1" >0.00000000</value>
<value id="{a05b1583-d874-475a-8f96-0d30a976fc07}" mode="1" >0.00000000</value>
<value id="{0ede25db-4141-4eaa-aa7d-cbfb72c5d053}" mode="1" >0.00000000</value>
<value id="{50de4831-91af-4669-bceb-9c65785eb3a3}" mode="1" >0.00000000</value>
<value id="{51c127d2-9b37-430a-9309-eff2d92b3c2a}" mode="1" >0.00000000</value>
<value id="{98d34283-3917-48ee-ac02-b02366fb7f8d}" mode="1" >0.00000000</value>
<value id="{4fe83d24-6722-4674-ba3c-e9566f61b2cd}" mode="1" >0.00000000</value>
<value id="{70fbef86-b273-44c7-9a9c-ad61b1c48a5e}" mode="1" >24.79954338</value>
<value id="{b5552009-1fcc-42f5-8807-d832d7c4df62}" mode="1" >75.20045471</value>
<value id="{76f45ee0-94c2-4bc3-b2bd-1f767421cde2}" mode="1" >0.00000000</value>
<value id="{d7cdbf2f-59d2-4eeb-9642-d41266d4ffd5}" mode="1" >0.00000000</value>
<value id="{f34ddc72-5f11-41d8-bbec-a34fae8b88b4}" mode="1" >0.00000000</value>
<value id="{7badb6aa-4b62-4a02-8fa4-e8e263b1fa5e}" mode="1" >0.00000000</value>
<value id="{56b09320-7979-4cf2-bcf3-f45d73083c3f}" mode="1" >0.00000000</value>
<value id="{30baf4b7-ab14-4be8-855f-5dd8e17d01da}" mode="1" >0.00000000</value>
<value id="{3c5d4499-3c38-4a83-8b5a-31123a5c63c8}" mode="1" >0.00000000</value>
<value id="{f81f31d8-2fbc-4377-9bad-1015b524b1dd}" mode="1" >24.95020866</value>
<value id="{3bae7ef6-bbdd-4d49-aea3-501ca8fef029}" mode="1" >75.04978943</value>
<value id="{1d7f02af-17d7-462e-81a8-3fd2703660ed}" mode="1" >0.00000000</value>
<value id="{d9586956-13ae-47c0-99b8-c1191260477a}" mode="1" >0.00000000</value>
<value id="{aa507390-f08b-42c5-a9ba-51392f9a6c55}" mode="1" >0.00000000</value>
<value id="{e256537b-407b-4656-89a8-d2d99b12576b}" mode="1" >1.00000000</value>
<value id="{e256537b-407b-4656-89a8-d2d99b12576b}" mode="4" >1</value>
<value id="{1b05c8d3-36bc-4176-8ff6-d61831b81cf7}" mode="4" >/Users/Russell/Desktop/Laptop Class/Csound/CsoundQTJam/cascade.txt</value>
<value id="{e2bd43d4-5401-4e75-8e76-5d1e11058e13}" mode="4" >/Users/Russell/Desktop/Laptop Class/Csound/CsoundQTJam/cascade.txt</value>
<value id="{94e8aa7d-3c30-4030-88f3-36056977b565}" mode="4" >0</value>
<value id="{038e6a3e-11c9-4acf-b8cf-01d77aa2358c}" mode="4" >0</value>
<value id="{c18f5ab5-6b84-48ae-ac11-41682d0beec4}" mode="4" ></value>
<value id="{cfe934b0-b32e-45e5-abd4-2c2be76c1c53}" mode="1" >0.00000000</value>
<value id="{caffc691-383d-469f-9f10-f7e86600fd74}" mode="1" >0.00000000</value>
<value id="{ee59ecc8-60bb-4930-acb8-165cb941dedf}" mode="1" >0.00000000</value>
<value id="{70e6432e-2fd4-47f6-8da2-b33b2c991cf1}" mode="1" >21.25228119</value>
<value id="{2bdce20f-1ece-4740-9cfa-b096af6958c7}" mode="1" >28.97342300</value>
<value id="{d1b81fb7-7dd1-4a7e-ba82-c39b5e9bcedf}" mode="1" >49.77429581</value>
<value id="{7c98479d-a862-48bf-91b9-45f52ecd5258}" mode="1" >0.00000000</value>
<value id="{b25cbdda-5d88-4df8-b841-4382bcfa75a5}" mode="1" >0.00000000</value>
<value id="{91d87643-6e00-4859-9247-8a5dab8982e6}" mode="1" >0.00000000</value>
<value id="{2869b132-60cd-41e4-a519-641356284818}" mode="1" >0.00000000</value>
<value id="{65dd0ed0-652d-4da8-a08f-ffa2b7457a14}" mode="1" >0.00000000</value>
<value id="{8d60ba81-351b-4adb-98a6-afe09c4d718b}" mode="1" >0.00000000</value>
<value id="{c44b6d31-6edb-4bb9-a245-664439354a95}" mode="1" >27.14854050</value>
<value id="{8d13c9f2-87af-44bf-acc9-fadd16a8a245}" mode="1" >33.53273010</value>
<value id="{2ec6280c-ba87-42c9-804f-a457b1373412}" mode="1" >39.31872940</value>
<value id="{c95c00fe-8100-4f60-b582-5e8f3031ea76}" mode="1" >0.00000000</value>
<value id="{846ef273-494f-4ebb-8b52-31b03c8052b4}" mode="1" >65.37460327</value>
<value id="{36c16e9d-9520-4372-89f2-a90d9e083ee6}" mode="1" >65.37460327</value>
<value id="{600cee6b-087e-4226-bb31-d05f5f76db0a}" mode="4" >0</value>
<value id="{cc5d220d-8011-4f81-985a-f8192347c821}" mode="1" >0.00000000</value>
<value id="{4af8bd18-4857-4015-9b2d-226f7d2bad0d}" mode="1" >5.00000000</value>
<value id="{e414741d-fe64-40d9-a6bd-3dd78cd96ac9}" mode="4" >0</value>
<value id="{64f7f810-9ed6-483d-9db1-9d55aba32d95}" mode="1" >0.00000000</value>
<value id="{980f257b-9946-482c-aa8b-f25d7d5b5248}" mode="1" >2.00000000</value>
<value id="{b394fa8d-bab7-4a5e-a09e-9fa7c50c532b}" mode="1" >4.00000000</value>
<value id="{e6647ae4-5368-4568-884f-e1b286c281db}" mode="1" >5.00000000</value>
<value id="{0e2ad110-80c9-4dd2-83a6-459a311bccb8}" mode="1" >7.00000000</value>
<value id="{23da2c40-743b-4e8f-89c7-4126ea12269b}" mode="1" >9.00000000</value>
<value id="{f24003a5-ca83-419f-ba78-8f2a2c5487a6}" mode="1" >10.00000000</value>
<value id="{4660390f-39d4-47cb-a87f-9f5427eec9e2}" mode="1" >12.00000000</value>
<value id="{a03501d8-4c2c-487c-8b85-f1692acf0830}" mode="1" >4.00000000</value>
<value id="{31b06ce3-1eb0-4445-99fc-eb8cceae41be}" mode="1" >0.00000000</value>
<value id="{4af513a0-47b9-4451-a48c-eb05c3917444}" mode="1" >1.00000000</value>
<value id="{4af513a0-47b9-4451-a48c-eb05c3917444}" mode="4" >1</value>
<value id="{082e11d0-9c6d-4fe8-9553-c3beb9057341}" mode="1" >0.86227542</value>
<value id="{0387ea68-56cf-4bee-ab50-4a6ea11ad1ba}" mode="1" >0.87425148</value>
<value id="{f0cbf3ac-9893-4224-8303-6c5dc385477b}" mode="1" >0.00000000</value>
<value id="{f0cbf3ac-9893-4224-8303-6c5dc385477b}" mode="4" ></value>
<value id="{07d21910-9bc7-4bf2-8e5b-122360f09d84}" mode="1" >1.00000000</value>
<value id="{f1ca065b-709b-496c-9c08-b489b7b8447a}" mode="1" >2.00000000</value>
<value id="{7ac14b40-5c69-4200-a990-bc0b7063a14a}" mode="1" >9.00000000</value>
<value id="{c3231885-e7f1-427d-870e-007082692373}" mode="1" >0.27000001</value>
<value id="{990dacf3-c66d-4810-98e4-3e0ff2ecbf5e}" mode="1" >0.27000001</value>
<value id="{990dacf3-c66d-4810-98e4-3e0ff2ecbf5e}" mode="4" >0.270</value>
<value id="{499d9b73-8f64-4ab4-b429-1ea6d207ab1b}" mode="1" >10.00000000</value>
<value id="{3669d19f-5171-42d5-a12d-b1285e74e6cd}" mode="1" >100.00000000</value>
<value id="{cff3f5b2-0561-4f1d-869d-d988ce083477}" mode="1" >0.00000000</value>
<value id="{a6af5306-b6fd-4127-8d01-66085c06d642}" mode="1" >1.00000000</value>
<value id="{e9aaf3e6-f1ae-47f1-9afe-7502614eed1f}" mode="4" >0</value>
<value id="{b6a95f90-7043-45f1-915a-3c34353ee469}" mode="1" >0.00000000</value>
</preset>
</bsbPresets>
<MacGUI>
ioView background {26214, 29041, 37265}
ioText {542, 5} {678, 620} label 0.000000 0.00100 "" left "Verdana" 16 {0, 0, 0} {45824, 45824, 45824} nobackground noborder Instrument Performance Controls
ioText {542, 627} {678, 80} label 0.000000 0.00100 "" left "Verdana" 14 {0, 0, 0} {45824, 45824, 45824} nobackground noborder Snapshots
ioText {3, 628} {536, 78} label 0.000000 0.00100 "" left "Verdana" 14 {0, 0, 0} {45824, 45824, 45824} nobackground noborder Schedule Events
ioText {3, 2} {536, 620} label 0.000000 0.00100 "" left "Verdana" 16 {0, 0, 0} {45824, 45824, 45824} nobackground noborder Csound Client Window
ioText {19, 196} {501, 24} edit 0.000000 0.00100 "chatline1"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {19, 218} {501, 24} edit 0.000000 0.00100 "chatline2"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {19, 240} {501, 24} edit 0.000000 0.00100 "chatline3"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {17, 130} {431, 23} edit 0.000000 0.00100 "mychat"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder  
ioButton {454, 128} {64, 27} value 1.000000 "Send" "Send" "/" 
ioText {17, 101} {114, 23} edit 0.000000 0.00100 "serverIP"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder 192.168.2.8
ioText {174, 101} {114, 23} edit 0.000000 0.00100 "myName"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder Barack
ioButton {454, 98} {64, 29} value 1.000000 "Join" "Join" "/" 
ioText {332, 101} {114, 23} edit 0.000000 0.00100 "localIP"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder 192.168.2.8
ioText {19, 301} {501, 24} edit 0.000000 0.00100 "incoming"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {17, 74} {80, 25} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Server IP
ioText {332, 73} {80, 25} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Local IP
ioText {174, 73} {80, 25} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Chat name
ioButton {106, 163} {64, 32} value 1.000000 "Clear" "Clear" "/" 
ioText {19, 271} {125, 25} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Notifications
ioText {19, 164} {83, 27} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Chat history
ioText {19, 360} {501, 24} edit 0.000000 0.00100 "timing"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {19, 330} {125, 25} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Timing messages
ioButton {19, 547} {71, 31} event 1.000000 "Clock" "Clock" "/" i3 0 -1
ioSlider {89, 392} {347, 26} 0.000000 1.000000 0.000000 delay
ioText {19, 392} {67, 26} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Delay
ioSlider {89, 424} {347, 26} 20.000000 480.000000 120.000000 Tempo
ioText {19, 424} {67, 26} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Tempo
ioText {440, 424} {80, 26} editnum 120.000000 0.100000 "Tempo" left "" 0 {0, 0, 0} {60672, 60672, 60672} nobackground noborder 120.000000
ioText {440, 392} {80, 26} editnum 0.000000 0.010000 "delay" left "" 0 {0, 0, 0} {60672, 60672, 60672} nobackground noborder 0.000000
ioText {20, 530} {503, 7} display 0.000000 0.00100 "display29" left "Arial" 10 {0, 0, 0} {19456, 19456, 19456} nobackground noborder 
ioButton {454, 156} {64, 27} value 1.000000 "Users" "Users" "/" 
ioButton {114, 547} {100, 30} value 1.000000 "BeatQ" "Query Beat" "/" 
ioText {19, 457} {46, 24} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Meter
ioMenu {70, 457} {73, 26} 3 303 "1/4,2/4,3/4,4/4,5/4,6/4,7/4,8/4,9/4,10/4,11/4" Meter
ioCheckbox {22, 584} {20, 20} off ServerSync
ioText {41, 583} {172, 24} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Sync Clock to External Server
ioText {574, 475} {622, 7} display 0.000000 0.00100 "display29" left "Arial" 10 {0, 0, 0} {19456, 19456, 19456} nobackground noborder 
ioText {481, 456} {39, 25} editnum 10.000000 1.000000 "GUIUpdateRate" left "" 0 {0, 0, 0} {60672, 60672, 60672} nobackground noborder 10.000000
ioText {362, 457} {117, 23} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder GUI Update Rate
ioButton {12, 663} {80, 31} event 1.000000 "ScheduleEvent" "Schedule" "/" i56 0 1000
ioMenu {194, 666} {94, 26} 0 303 "Relative,Absolute" SchedType
ioText {124, 666} {70, 26} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Measure(s)
ioText {92, 666} {33, 25} edit 0.000000 0.00100 "SchedBar"  "Arial" 12 {0, 0, 0} {60672, 60672, 60672} falsenoborder 2
ioText {424, 23} {94, 48} display 0.000000 0.00100 "Position" right "Arial" 30 {0, 0, 0} {0, 65280, 65280} nobackground noborder 15:1
ioText {291, 666} {41, 26} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Meter
ioMenu {331, 666} {60, 27} 4 303 "1/4,2/4,3/4,4/4,5/4,6/4,7/4,8/4,9/4,10/4,11/4" NewMeter
ioButton {217, 582} {112, 28} event 1.000000 "RunServer" "Run As Server" "/" i99 0 -1
ioButton {579, 541} {102, 30} event 1.000000 "GetTable" "Get Table" "/" i105 0 10
ioButton {579, 578} {102, 30} event 1.000000 "SendTable" "Send Table" "/" i106 0 10
ioText {683, 578} {53, 24} edit 0.000000 0.00100 "OutputTable"  "Arial" 11 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {682, 541} {53, 26} edit 0.000000 0.00100 "SourceTable"  "Arial" 11 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {843, 542} {37, 28} edit 0.000000 0.00100 "ReceiveTable"  "Arial" 11 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {843, 579} {37, 26} edit 0.000000 0.00100 "TargetTable"  "Arial" 11 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {977, 541} {222, 28} edit 0.000000 0.00100 "SourceIP"  "Arial" 11 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {978, 578} {222, 26} edit 0.000000 0.00100 "TargetIP"  "Arial" 11 {0, 0, 0} {60672, 60672, 60672} falsenoborder 
ioText {918, 541} {57, 26} label 0.000000 0.00100 "" left "Arial" 12 {0, 0, 0} {60672, 60672, 60672} nobackground noborder User IP
ioText {762, 542} {79, 26} label 0.000000 0.00100 "" left "Arial" 12 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Store to fn:
ioText {762, 579} {79, 26} label 0.000000 0.00100 "" left "Arial" 12 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Store to fn:
ioText {579, 506} {165, 29} label 0.000000 0.00100 "" left "Arial" 14 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Send/Receive Tables
ioText {918, 578} {57, 26} label 0.000000 0.00100 "" left "Arial" 12 {0, 0, 0} {60672, 60672, 60672} nobackground noborder User IP
ioText {574, 323} {622, 7} display 0.000000 0.00100 "display29" left "Arial" 10 {0, 0, 0} {19456, 19456, 19456} nobackground noborder 
ioMenu {1014, 637} {76, 25} 0 303 "snap1,snap2,snap3,snap4,snap5,snap6,snap7,snap8,snap9,snap10,snap11,snap12,snap13,snap14,snap15,snap16" snapshot
ioButton {896, 637} {119, 28} event 1.000000 "LoadSnap" "Load Snapshot" "/" i108 0 10
ioButton {1093, 637} {119, 28} event 1.000000 "StoreSnap" "Store Snapshot" "/" i107 0 10
ioButton {556, 667} {66, 29} value 1.000000 "_Browse2" "Browse" "/" i1 0 10
ioText {624, 670} {386, 24} edit 0.000000 0.00100 "_Browse2"  "Arial" 10 {0, 0, 0} {60672, 60672, 60672} falsenoborder SampleSnaps.txt
ioButton {1012, 667} {81, 28} event 1.000000 "OpenSnapFile" "Open" "/" i110 0 1
ioButton {1094, 667} {118, 28} event 1.000000 "SaveSnapFile" "Save/Replace" "/" i109 0 1
ioCheckbox {148, 639} {20, 20} on ScheduleSnap
ioText {169, 639} {104, 23} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Schedule Preset
ioMenu {282, 639} {79, 23} 1 303 "snap1,snap2,snap3,snap4,snap5,snap6,snap7,snap8,snap9,snap10,snap11,snap12,snap13,snap14,snap15,snap16" SnapNum
ioButton {384, 639} {145, 26} event 1.000000 "ServerSched" "Schedule via Server" "/" i111 0 1
ioCheckbox {396, 669} {20, 20} on ServerControl
ioText {415, 667} {114, 23} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Allow External Ctrl
ioButton {349, 581} {78, 32} event 1.000000 "SyncBlip" "Sync Blip" "/" i113 0 -1
ioText {492, 581} {30, 24} scroll 72.000000 1.000000 "SyncPitch" left "Arial" 12 {0, 0, 0} {65280, 65280, 65280} background noborder 
ioText {428, 581} {60, 24} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder MIDI nn:
ioSlider {430, 547} {92, 26} 0.000000 1.000000 0.500000 SyncLevel
ioText {352, 547} {77, 26} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Blip Level:
ioText {336, 543} {7, 68} display 0.000000 0.00100 "display29" left "Arial" 10 {0, 0, 0} {19456, 19456, 19456} nobackground noborder 
ioButton {217, 548} {112, 33} value 1.000000 "ResetBar" "Reset Bar" "/" 
ioButton {579, 348} {71, 29} value 1.000000 "Plucker" "Plucker" "/" 
ioSlider {718, 348} {168, 27} 0.000000 1.000000 0.500000 PluckVol
ioText {646, 348} {24, 24} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder %
ioText {671, 348} {39, 25} editnum 9.000000 1.000000 "HarmMod" right "" 0 {0, 0, 0} {60672, 60672, 60672} nobackground noborder 9.000000
ioText {582, 425} {71, 24} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Pluck Root
ioMenu {657, 425} {55, 26} 0 303 "C,C#,D,D#,E,F,F#,G,G#,A,A#,B" PluckKey
ioSlider {793, 392} {93, 25} 7.000000 12.000000 9.150538 PluckLPFCutoff
ioMenu {632, 389} {80, 25} 1 303 "Wrap,Fold" WrapFold
ioText {718, 391} {72, 23} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder LPF Cutoff
ioText {581, 390} {47, 24} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Mode
ioButton {578, 103} {138, 29} value 1.000000 "Drummer" "Simple Drummer" "/" 
ioSlider {718, 103} {166, 27} 0.000000 1.000000 0.500000 DrumVol
ioText {639, 231} {187, 27} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Snare Drum Probability %
ioText {579, 229} {53, 28} editnum 0.000000 1.000000 "SnareProb" left "" 0 {0, 0, 0} {60672, 60672, 60672} nobackground noborder 0.000000
ioText {639, 154} {188, 24} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Crash Cymbal Probability %
ioText {579, 152} {53, 28} editnum 0.000000 1.000000 "CrashProb" left "" 0 {0, 0, 0} {60672, 60672, 60672} nobackground noborder 0.000000
ioText {639, 192} {188, 24} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder HiHat Probability %
ioText {579, 190} {53, 28} editnum 100.000000 1.000000 "HHProb" left "" 0 {0, 0, 0} {60672, 60672, 60672} nobackground noborder 100.000000
ioText {639, 270} {191, 26} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Bass Drum Probability %
ioText {579, 268} {53, 28} editnum 100.000000 1.000000 "BDProb" left "" 0 {0, 0, 0} {60672, 60672, 60672} nobackground noborder 100.000000
ioText {1019, 103} {118, 26} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Rhythmic Subdivision
ioMenu {1139, 103} {58, 24} 3 303 "4, 8, 8T, 16, 16T, 32, 32T" DrumSubdivision
ioMenu {1140, 348} {58, 24} 3 303 "4, 8, 8T, 16, 16T, 32, 32T" PluckSubdivision
ioText {574, 73} {622, 7} display 0.000000 0.00100 "display29" left "Arial" 10 {0, 0, 0} {19456, 19456, 19456} nobackground noborder 
ioText {1019, 348} {118, 26} label 0.000000 0.00100 "" left "Arial" 11 {0, 0, 0} {60672, 60672, 60672} nobackground noborder Rhythmic Subdivision
</MacGUI>
